<?php

/*
 * USAGE : updateClasses.php -e|-c|-h ALL|Classe|login:
 */
include "config.inc.php";
require_once "ldap.inc.php";
require_once "partages.inc.php";
include "ihm.inc.php";
require_once "samba.inc.php"; 
require_once "lang.inc.php";

// HTMLPurifier
require_once ("traitement_data.inc.php");

if ($argc < 1 || in_array($argv[1], array(
    '--help',
    '-help',
    '-h',
    '-?'
))) {
    // ===========================================================
    $chaine = "USAGE : updateClasses.php -e|-c|-h ALL|Classe|login:\n";
    $chaine .= "       .  -c ALL : pour passer en revue toutes les classes (les dossiers manquant sont crees, aucun dossier n'est supprime)\n";
    $chaine .= "       . -c NomClasse : par exemple 1-S1 pour la Classe Classe_1-S1 (si la classe n'existe pas dans l'annuaire, le rep Classe est supprime (renomme .Classe_1-S1) )\n";
    $chaine .= "       . -e eleve : login d'un eleve, la Classe est lue dans l'annuaire\n";
    $chaine .= "       . 'y' ou 'n' selon que l'import est annuel ou non;\n";
    $chaine .= "       . 'y' ou 'n' selon que vous souhaitez seulement une simulation ou non;\n";
    $chaine .= "       . Si le dossier de l'eleve est absent il est cree ( si .eleve existe, il est restaure)\n";
    $chaine .= "       . Si le dossier de l'eleve existait dans une autre classe, il est deplace et renomme archive les droits sont mis à jour\n";
    $chaine .= "       . Si l'eleve n'est inscrit dans aucune classe, son dossier eleve est renomme .eleve s'il existait dans l'aborescence classes...\n";
    print $chaine;
    exit();
} else {
    $option = $argv[1];
    $Classe = $argv[2];
//    echo $option . " " . $Classe;
}

if ($option == '-c') {
    if ($Classe == 'ALL') {
        $FILTRE = "*";
    } else {
        $FILTRE = "$Classe";
    }
    update_classes($config, $FILTRE);
} elseif ($option == '-e') {
    // on traite direct un eleve
    update_eleve($config, $Classe);
}
?>
