<?php


 /** Suppression d'un groupe
 * @description Supprime un groupe dans l'annuaire
 * @Version 12/2018 - keyser
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * @file: del_group.php
 */


  
include "entete.inc.php";
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('sambaedu-core', "/var/www/sambaedu/locale");
textdomain('sambaedu-core');

$_SESSION["pageaide"]="Annuaire";
echo "<h1>".gettext("Annuaire")."</h1>";

if (!have_right($config, "Annu_is_admin")) {
    echo ("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction");
    include ("pdp.inc.php");
    die();
}

$cn = $_GET['cn'] ?? "";

if ($cn == '') {
    echo "<p style='color:red;'>ERREUR: Nom du groupe obligatoire.</p>";
    include ("pdp.inc.php");
    die();
}

aff_trailer ("6");
$group=filter_group($config, "(cn=".$cn.")");
if ( $cn !="Eleves" && $cn !="Profs" && $cn !="Administratifs") {
        $ReturnValue= groupdel($config, $cn);
        if ($ReturnValue) {
                echo "<strong>".gettext("Le groupe")." $cn ".gettext(" a &#233;t&#233; supprim&#233; avec succ&#232;s.")."</strong><br>\n";
        } else {
                echo "<div class='error_msg'>Echec de la suppression de" .$cn. "</div><BR>\n";
        }
} else {
        echo "<div class=error_msg>".gettext("La suppression des groups principaux (Eleves, Profs, Administratifs) n'est pas autoris&#233;e !")."</div>";
}

include ("pdp.inc.php");
?>
