<?php

/**

 * Modifie le mot de passe
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @note 
 */

/**
 *
 * @Repertoire: annu
 * file: mod_pwd.php
 */
require "config.inc.php";
require "functions.inc.php";

$login = isauth();
if ($login == "")
    header("Location:$urlauth");

require "ldap.inc.php";
require "ihm.inc.php";
require "jlcipher.inc.php";

require_once ("lang.inc.php");
bindtextdomain('se3-annu', "/var/www/se3/locale");
textdomain('se3-annu');

// HTMLPurifier
require_once ("traitement_data.inc.php");

header_crypto_html(gettext("Modification mot de passe"), "../");

$DEBUG = "0";

$mod_pwd = $_POST['mod_pwd'] ?? '';

// Aide
@session_start();
$_SESSION["pageaide"] = "L%27interface_%C3%A9l%C3%A8ve#Mon_mot_de_passe";
$ent = (isset($_SESSION['auth']) && $_SESSION['auth'] == "ent");
$old_password = $_POST['old_password'] ?? "";
echo "<h1>" . gettext("Changement du mot de passe") . "</h1>\n";
aff_trailer("5");

if ($mod_pwd) {
    // decryptage des mdp
    $string_auth = $_POST['string_auth'];
    $string_auth1 = $_POST['string_auth1'];
    // exec ("/usr/bin/python ".$path_to_wwwse3."/includes/decode.py '$string_auth'",$Res);
    exec("/usr/bin/python /var/www/sambaedu/includes/decode.py '$string_auth'", $Res);
    $new_password = $Res[0];
    // exec ("/usr/bin/python ".$path_to_wwwse3."/includes/decode.py '$string_auth1'",$Res1);
    exec("/usr/bin/python /var/www/sambaedu/includes/decode.py '$string_auth'", $Res1);
    $verif_password = $Res1[0];
    // DEBUG
    if ($DEBUG == "1") {
        echo "crypto new mdp  :  $string_auth<br>crypto verif mdp  : $string_auth1<br>";
        echo "old_mdp : " . $old_password . " new mdp  : $new_password verif mdp  : $verif_password<br>";
    }
}
if (! $ent)
    $test_old = user_valid_passwd($config, $login, $old_password);
else
    $test_old = true;
// teste si il faut reservir le formulaire de saisie
if ((! $mod_pwd) || (($mod_pwd) && (! verifPwd($new_password))) || (($mod_pwd) && ($new_password != $verif_password)) || (($mod_pwd) && (! $test_old))) {

    echo gettext("<h3>Changement de mot de passe</h3>");
    ?>
<form name="auth" action="mod_pwd.php" method="post"
	onSubmit="encrypt(document.auth)">
	<table border="0">
  <?php
    if (! $ent) {
        ?>
          <tr>

			<td><?php echo gettext("Mot de passe actuel");?> : </td>
			<td><input type="password" name="old_password" size="20"></td>
		</tr>
          <?php }?>
          <tr>
			<td><?php echo gettext("Nouveau mot de passe");?> : </td>
			<td><input type="password" value="" name="dummy" size='20'
				maxlength='20'> <input type="hidden" name="string_auth" value=""></td>
		</tr>
		<tr>
			<td><?php echo gettext("Ressaisir nouveau mot de passe");?> : </td>
			<td><input type="password" value="" name="dummy1" size='20'
				maxlength='20'> <input type="hidden" name="string_auth1" value=""></td>
		
		
		<tr>
		
		
		<tr>
			<td colspan=2 align=center><input type="hidden" name="mod_pwd"
				value="true"> <input type="submit"
				value=<?php echo gettext("Valider"); ?>></td>
		</tr>
	</table>
</form>
<?php
    crypto_nav("../");
    if ($mod_pwd) {
        // Verification de l'ancien mot de passe
        if (! $ent) {
            if (! user_valid_passwd($config, $login, $old_password)) {
                echo "<div class='error_msg'>" . gettext("Votre mot de passe actuel est erron&#233; !") . "</div><BR>\n";
            }
        } // Verification du nouveau mot de passe
        elseif (! verifPwd($new_password)) {
            echo "<div class='error_msg'>" . gettext("Vous devez proposer un mot de passe d'une longueur comprise entre 4 et 8 caract&#232;res alphanum&#233;riques avec obligatoirement un des caract&#232;res sp&#233;ciaux suivants") . " $char_spec</div><BR>\n";
        } // Verification de la coherence des deux mots de passe
        elseif ($new_password != $verif_password) {
            echo "<div class='error_msg'>" . gettext("La v&#233;rification de votre nouveau mot de passe a &#233;chou&#233;e !") . "</div><BR>\n";
        }
    }
} else {
    // Changement du mot de passe

    if (usersetpassword($config, $login, $new_password))
        echo gettext("Votre mot de passe est modifi&#233<br />");
    else
        echo gettext("Votre mot de passe n'a pas &#233t&#233 modifi&#233<br />");
}

require ("pdp.inc.php");
?>