<?php
   /**
   * Gestion du professeur remplacant
   * @Version $Id$ 
   * @Projet SambaEdu 
   * @auteurs Equipe SambaÉdu
   * @Licence Distribue selon les termes de la licence GPL
   * @note 
   */
   /**
   * @Repertoire: annu
   * file: remplace.php
   */

include "entete.inc.php";
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');

$_SESSION["pageaide"]="Annuaire";
echo "<h1>".gettext("Annuaire")."</h1>\n";

if (! have_right($config, "Annu_is_admin")) {
    echo "<div class=error_msg>".gettext("Cette application, n&#233;cessite les droits d'administrateur du serveur SambaEdu !")."</div>";
    include ("pdp.inc.php");
    die();
}

$cn=$_POST['cn'] ?? "";
$rpl=$_POST['remplacant'] ?? "";


if ($cn == "") {
   
    $people = search_ad($config, "*", "memberof", "Profs");
    aff_trailer ("1");
    if (count($people)) {
        // affichage des resultats
        // Nettoyage des _ dans l'intitule du groupe
        echo "<FORM action=\"remplace.php\" method=\"post\">\n";
        $liste="";
        for ($loop=0; $loop < count($people); $loop++) {
                $liste=$liste. "<OPTION VALUE=\"".$people[$loop]["cn"]."\">".$people[$loop]["fullname"]."</OPTION>";
        }
        // Professeur abs
        echo "<TABLE BORDER=0><TR><TD><BR>".gettext("Professeur absent ")." </TD><TD><BR>";
        echo "<SELECT name='cn'>";
        echo $liste;					
        echo "</SELECT>	</TD>\n";
        echo "</TR></TABLE><BR><HR>\n";

        // Professeur remplacant
        echo "<TABLE BORDER=0><TR><TD><BR>".gettext("Professeur rempla&#231;ant ")."</TD><TD><BR>";
        echo "<SELECT name='remplacant'>";
        echo $liste;
        echo "</SELECT>	</TD>\n";
        echo "</TR>\n";

        echo "</TABLE><HR><div align=center><input type=\"submit\" Value=\"".gettext("V&#233;rifier les droits de l'absent et du rempla&#231;ant")."\"></div></FORM>"; 
    }
}    
else {
    $absent = search_user($config, $cn, true);
    if ($rpl == "") {
        die ("cette valeur ne peut être vide");
    } else {
        $remplacant = search_user($config, $rpl, true);
    }


    //var_dump($remplacant);
//    var_dump($absent);

    $list_current_groups_absent = array();
    $rights_branch= $config['dn']['rights'];
    if (isset($absent['memberof'])) {
        foreach ($absent['memberof'] as $line) {
            if (! preg_match("/$rights_branch/i", $line)) {
                $list_current_groups_absent[] = ldap_dn2cn($line);
            }
        }
    }  
  
    $list_current_groups_remplacant = array();
    $rights_branch= $config['dn']['rights'];
    if (isset($remplacant['memberof'])) {
        foreach ($remplacant['memberof'] as $line) {
            if (! preg_match("/$rights_branch/i", $line)) {
                $list_current_groups_remplacant[] = ldap_dn2cn($line);
            }
        }
    }

    if ($absent == $remplacant ) {
        echo "<BR>".gettext("Le professeur")." <B>$remplacant[fullname]</B>".gettext(" se remplace lui-m&#234;me; Vous appliquez les d&#233;cisions du ministre. C'est bien, poursuivez...")."<BR><BR><HR>";
    } else {
        echo gettext("Attribution des cours,classes, equipes et droits de gestion serveur de")." <B>$absent[fullname]</B> ".gettext(" &#224;")." <B>$remplacant[fullname]</B>.<BR><BR>";
        echo "<B>$remplacant[fullname] </B>".gettext("sera ajout&#233; dans les groupes suivants :");
        echo "<FORM action=\"add_user_group.php\" method=\"post\">\n";
        echo "<TABLE BORDER=0><TR><BR>";
        if (count($list_current_groups_absent)) {
//            var_dump($list_current_groups_absent);
            for ($loop=0; $loop < count ($list_current_groups_absent) ; $loop++) {
                //echo "<LI><A href=\"group.php?filter=".$list_current_groups[$loop]["cn"]."\">";
                echo "<BR>";
                $usergrpe=$list_current_groups_absent[$loop];
                if ("$usergrpe" == "Profs") {
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                }

                if ( preg_match ("/Cours_/", $list_current_groups_absent[$loop]) ) {
                    echo "<INPUT TYPE=CHECKBOX  NAME=cours_gr[] VALUE=".$usergrpe."  CHECKED> &nbsp;";
                } elseif ( preg_match ("/Equipe_/", $list_current_groups_absent[$loop]) ) {
                    echo "<INPUT TYPE=CHECKBOX  NAME=equipe_gr[] VALUE=".$usergrpe."  CHECKED> &nbsp;";
                } elseif ( preg_match ("/Matiere_/", $list_current_groups_absent[$loop]) ) {
                    echo "<INPUT TYPE=CHECKBOX  NAME=matiere_gr[] VALUE=".$usergrpe."  CHECKED> &nbsp;";
                }
                elseif ("$usergrpe" == "Profs") {
                    echo "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
                }
                else {
                    echo "<INPUT TYPE=CHECKBOX  NAME=autres_gr[] VALUE=".$usergrpe."  UNCHECKED> &nbsp;";
                }
                echo $list_current_groups_absent[$loop];
                echo "</A>,<font size=\"-2\"> ".$list_current_groups_absent[$loop];
                echo "</font>\n";
            }

        }


            echo "<INPUT type=hidden name=cn value=$rpl>";
    //		echo "<input type=\"hidden\" name=\"categorie\" value=\"Profs\">";
            echo "<input type=\"hidden\" name=\"add_user_group\" value=\"true\">";
            echo "<input type=\"hidden\" name=\"remplacant\" value=\"true\">";
            echo "</TABLE><HR><div align=center><input type=\"submit\" Value=\"".gettext("Attribuer les droits au remplacant")."\"></div></FORM></TR></HTML>";
        }


}

include ("pdp.inc.php");
?>
