<?php
/**

 * Synchro automatique des comptes ENT

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @Licence Distribue selon les termes de la licence GPL

 */
require_once "entete_script.inc.php";
require_once ("ldap.inc.php");
require_once ("dhcpd.inc.php");
require "ipxe_functions.inc.php";
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require_once ("partages.inc.php");
require "ent.inc.php";
require "pronote.inc.php";
$lock = apcu_fetch('ent_lock');
if (!empty($lock) && $lock != "cron") {
//    $html = "Import '$lock' déjà en cours !<br>";
//    echo $html;
    exit();
}
apcu_add('ent_lock', "cron", 1000);
$html = "Synchro cron ";
$sync = $_POST['action'] ?? "";
if ((isset($config['openent_cron']) && $config['openent_cron'] == "1" && $sync == "cron") || $sync == "force_openent") {
    $html = "<h1>Importation ENT</h1>\n";
    $html .= sync_ent($config);
    $html .= match_ad($config, true);
    apcu_store('ent_html', $html);
}
/*
if ((isset($config['pronote_cron']) && $config['pronote_cron'] == "1" && $sync == "cron") || $sync == "force_pronote") {
    $html = "<h1>Importation ENT</h1>\n";
    $html .= sync_pronote($config);
    $html .= match_ad($config, true);
    apcu_store('ent_html', $html);
}
*/
if (apcu_fetch('ent_count') > 0) {
    update_ad_from_ent($config, 20, true);
    $html = "<h1>Importation ENT</h1>\n";
    $html .= apcu_fetch('ent_type') . " : " . apcu_fetch('ent_count') . " comptes restant à traiter...<br>";
    
} else {
    apcu_delete('ent_lock');
    $html = apcu_fetch('ent_html');
    //$html .= apcu_fetch('ent_type') . " : terminé.<br>";
    batch_write();
    apcu_delete('ent_html');
}
echo $html;
?>