<?php

/**

 * Page pour l'authentification
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: auth.php
 *
 */

// Initialisation:
// $error = 0;
require_once 'config.inc.php';
require 'jlcipher.inc.php';
require_once 'functions.inc.php';
require_once 'ldap.inc.php';
require 'test_dates.inc.php';

require_once 'lang.inc.php';
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');
$error = $_GET['error'] ?? "";
// Pas de fichier entête donc on place ici HTMLPurifier
require_once ("includes/traitement_data.inc.php");

$request = $_GET["request"] ?? "";
$al = $_GET["al"] ?? 0;
$login_name = $_POST["login"] ?? "";
if ($al != 0 && (! empty($login_name)) && isset($_POST["dummy"])) {
    // if ((! isset($_GET["al"]) || ($_GET["al"] != 0)) && (isset($_POST["login"]) && isset($_POST["dummy"]) || isset($config['autologon']))) {
    if (open_session($config, $login_name, $_POST["string_auth"], $al)) {
        if (! empty($request)) {
            header("Location:" . rawurldecode($request));
            exit();
        } else {
            header("Location:index.php");
            exit();
        }
    } else {
        if (! empty($request)) {
            if (empty($login_name)) {
                header("Location:auth.php?al=0&error=2&request=" . rawurlencode($request));
            } else {
                header("Location:auth.php?al=0&error=1&request=" . rawurlencode($request));
            }
        } else {
            if (empty($login_name)) {
                header("Location:auth.php?al=0&error=2");
            } else {
                header("Location:auth.php?al=0&error=1");
            }
        }
    }
} else {
    header_crypto_html("Authentification SambaÉdu 4", "");
    $texte = "";
    $texte .= gettext("<P>Afin de pouvoir acc&#233;der à l'interface <EM>SambaÉdu</EM>, veuillez indiquer votre identifiant et votre mot de passe sur le r&#233;seau.\n");
    $texte .= "<form name = 'auth' action='auth.php?al=1&request=" . rawurlencode($request) . "' method='post' onSubmit = 'encrypt(document.auth)'>\n";
    $texte .= "<table><tr><td>\n";
    $texte .= gettext("Identifiant") . " :</td><td><INPUT TYPE='text' NAME='login' SIZE='20' MAXLENGTH='30'><BR>\n";
    $texte .= "</td></tr><tr><td>\n";
    $texte .= gettext("Mot de passe") . " :</td><td><INPUT TYPE='password' NAME='dummy' SIZE='20' MAXLENGTH='20'><BR>\n";
    $texte .= "</td></tr><tr align=\"right\"><td></td><td>\n";
    $texte .= "<input type='hidden' name='string_auth' value=''>";
    $texte .= "<input type='hidden' name='time' value=''>";
    $texte .= "<input type='hidden' name='client_ip' value='" . remote_ip() . "'>";
    $texte .= "<input type='hidden' name='timestamp' value='" . time() . "'>";
    $texte .= "<INPUT TYPE='submit' VALUE='" . gettext("Valider") . "'><BR>\n";
    $texte .= "</td></tr></table>\n";
    $texte .= "</form>\n";

    mktable("<STRONG>" . gettext("Authentification...") . "</STRONG>", $texte);
    crypto_nav("");
    if ($error == 1) {
        echo "<div class='alert_msg'>" . gettext("Erreur d'authentification !") . "</div>";
    }

    // Test de l'ecart entre la date du serveur et la date du client
    // S'il y a plus de 200 secondes d'ecart, on affiche une alert() javascript:
    test_et_alerte_dates();

    include ("includes/pdp.inc.php");
}
?>
