<?php

/**
 * Page qui permet de gerer les modules (installation - desactivation - mises a jour)
 * @Version : uniquement affichage des modules, pas d'installation possible pour le moment

 * @Projet SambaÉdu
 * @auteurs Équipe SambaÉdu
 * @Licence Distribue sous  la licence GPL
 */

/**
 *
 * @Repertoire /
 * file conf_modules.php
 */
require ("entete.inc.php");
include ("fonc_outils.inc.php");

// require_once("lang.inc.php");
// bindtextdomain('sambaedu-core',"/var/www/sambaedu/locale");
// textdomain ('sambaedu-core');

// aide
$_SESSION["pageaide"] = "Les modules";
$action = $_GET['action'] ?? "";
$module = $_GET['varb'] ?? "";
$valeur = $_GET['valeur'] ?? "";
if (! have_right($config, "sambaedu_is_admin"))
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");

ob_implicit_flush(true);
ob_end_flush();

// Mise a jour
//if ($action == "update") {
//    echo "<h1>Instation ou mise &#224; jour du module $module</h1>";
//    // same command as majtest.php - keyser 10-2016
//    // system('sleep 1; /usr/bin/sudo -H /usr/share/sambaedu/scripts/install_sambaedu-module.sh sambaedu &');
//    system("sleep 1; /usr/bin/sudo -H /usr/share/sambaedu/scripts/install_sambaedu-module.sh -i $module &");
//    echo "<br><a href=\"conf_modules.php\">Retour &#224; l'interface de gestion des modules.</a>";
//    exit();
//}
//
//// Change dans la base
//if ($action == "change") {
//
//    echo "<H1>Modification de l'&#233;tat du module $module</H1>";
//    // Change dnas la table params
//    set_param($config, $module, $valeur, $module);
//    switch ($module) {
//        
//        // Installation du clonage
//        case "sambaedu-clonage":
//            if ($valeur == "1") {
//                $ipxe_actif = exec("dpkg -s sambaedu-ipxe | grep \"Status: install ok\" > /dev/null && echo 1");
//                // Si paquet pas installe
//                if ($ipxe_actif != "1") {
//                    system("/usr/bin/sudo -H /usr/share/sambaedu/scripts/install_sambaedu-module.sh -i sambaedu-ipxe");
//                } else {
//                    set_param($config, "clonage", 1, "ipxe");
//                    echo "Module $module activ&#233;.<br>\n";
//                }
//            }
//            if ($valeur == "0") {
//                set_param($config, "clonage", 0, "ipxe");
//                echo "Module $module d&#233;sactiv&#233;.<br>\n";
//            }
//            break;
//        
//
//        
//        // Installation de WPKG (sambaedu-wpkg)
//        case "sambaedu-wpkg":
//            if ($valeur == "1") { // si on veut l'activer
//                $wpkg_actif = exec("dpkg -s sambaedu-wpkg | grep \"Status: install ok\" > /dev/null && echo 1");
//                if ($wpkg_actif != "1") { // paquet pas installe on l'installe
//                    system("/usr/bin/sudo -H /usr/share/sambaedu/scripts/install_sambaedu-module.sh -i sambaedu-wpkg");
//                } else { // sinon on l'active
//                    $update_query = "UPDATE params SET value='" . $valeur . "' where name='wpkg'";
//                    mysql_query($update_query);
//                    echo "Module $module activ&#233;.<br>\n";
//                }
//            }
//            if ($valeur == "0") {
//                $update_query = "UPDATE params SET value='" . $valeur . "' where name='wpkg'";
//                mysql_query($update_query);
//                echo "Module $module d&#233;sactiv&#233;.<br>\n";
//            }
//            break;
//
//        // Installation du client Linux
//        case "sambaedu-linux":
//            $valeur_linux = ($valeur == 1) ? 1 : 0;
//            echo $valeur_linux;
//            $resultat = mysql_query("SELECT * FROM params WHERE name='support_linux'");
//            if (mysql_num_rows($resultat) == 0) {
//                $sql = "INSERT INTO params VALUES('','support_linux','$valeur_linux','','Installation du backport sambaedu-clients-linux pour linux','6')";
//            } else {
//                $sql = "UPDATE params SET value='$valeur_linux' where name='support_linux'";
//            }
//
//            if ($valeur_linux == 1) {
//                system("/usr/bin/sudo -H /usr/share/sambaedu/scripts/install_sambaedu-module.sh -i sambaedu-clients-linux", $return);
//                if ($return == 0) {
//                    mysql_query($sql);
//                    echo "Support linux activ&#233;.<br>\n";
//                } else {
//                    echo "Un probl&#232;me est survenu lors de l'installation du backport sambaedu-clients-linux.<br>\n";
//                }
//            }
//            break;
//
//   
//
//        default:
//            echo "Erreur : Module '$module' inconnu !<br>\n";
//    } // \switch ($_GET[varb])
//    echo "<a href=\"index.html\" target=\"_top\">Actualiser l'interface de gestion du serveur.</a>";
//    exit();
//}

/**
 * ************************************************************************************************
 */

// require ("config.inc.php");

echo "<h1>" . gettext("Gestion des paquets sambaedu") . "</H1>";

// Test si un paquet est en installation par la presence d'un lock.
exec("ls /var/lock/sambaedu-*.lck", $files, $return);
for ($i = 0; $i < count($files); $i ++) {
    if ($files[$i] == "/var/lock/sambaedu-dhcp.lck") {
        $dhcp_lock = "yes";
        echo "<br><center>" . gettext("Attention : Fichier $files[$i] trouvé dans /var/lock/, installation d'un paquet sambaedu en cours.") . "</center>";
    }
}

/**
 * ******************** Modules ***************************************************
 */

exec("/usr/bin/sudo -H apt list sambaedu-* | cut -d \"/\" -f1 | grep sambaedu | grep -v sambaedu-linux-stations",$tableau_modules,$retour2);
//var_dump($tableau_modules);
echo "<br><br>";
echo "<center>";
echo "<TABLE border=\"1\" width=\"80%\">";

 //Modules disponibles
echo "<TR><TD colspan=\"5\" align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Etat des modules");
echo "</TD></TR>";

// Modules disponibles
echo "<TR><TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Nom du paquet");
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Description");
echo "</TD>";
echo "</TD><TD align=\"center\" class=\"menuheader\" height=\"30\">" ;
echo gettext("Install&#233;");
echo "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">" ;
echo gettext("Disponible");
echo "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">" ;
echo gettext("Etat");
echo "</TD></TR>";


foreach ($tableau_modules as $module) {
    //echo $module;
    if ("$module" == "sambaedu-ad-server") { 
        continue;  
    }
    $version_install = exec("apt-cache policy $module | grep \"Install\" | cut -d\" \" -f4");
    $version_dispo = exec("apt-cache policy $module | grep \"Candidat\" | cut -d\" \" -f4");
    $description =  exec("apt-cache show $module | grep \"^Description:\" | cut -d\":\" -f2");
    echo "<tr><td>" . gettext("$module") . "</TD>";
    echo "<td>" . gettext("$description") . "</TD>";
    echo "<TD align=\"center\">$version_install</TD>";
   
    if ("$version_install" == "$version_dispo") {
        echo "<TD align=\"center\">";
        echo "<u onmouseover=\"return escape" . gettext("('Pas de nouvelle version du paquet $module disponible')") . "\"><IMG style=\"border: 0px solid ;\" SRC=\"../elements/images/recovery.png\"></u>";
        echo "</TD>";
    } else {
        echo "<TD align=\"center\">";
        //echo "<u onmouseover=\"return escape" . gettext("('Cliquer ici pour lancer l\'installation ou la mise &#224; jour du paquet $module')") . "\"><a href=\"conf_modules.php?action=change&varb=$module&valeur=1\"><IMG style=\"border: 0px solid ;\" SRC=\"../elements/images/warning.png\"></a></u>";
        echo "<u onmouseover=\"return escape" . gettext("('Ouvrir un terminal et lancer apt-get upgrade pour mettre à jour le paquet ou apt-get instal $module pour l\'installer')") . "\"><IMG style=\"border: 0px solid ;\" SRC=\"../elements/images/warning.png\"></a></u>";
        echo "</TD>";
    }
    echo "<TD align=\"center\">";
    if ($version_install == "(none)") {
        echo "<u onmouseover=\"return escape" . gettext("('<b>Etat : D&#233;sactiv&#233;</b><br><br>$module n\'est pas installé')") . "\">";
//        echo "<a href=conf_modules.php?action=change&varb=$module&valeur=1><IMG style=\"border: 0px solid;\" SRC=\"elements/images/disabled.png\" ></a>";
        echo "<IMG style=\"border: 0px solid;\" SRC=\"elements/images/disabled.png\" ></a>";
        echo "</u>";
    } else {
        echo "<u onmouseover=\"return escape" . gettext("('<b>Etat : Activ&#233;</b><br><br>$module est installé')") . "\">";
        echo "<IMG style=\"border: 0px solid;\" SRC=\"elements/images/enabled.png\"></a>";
        echo "</u>";
    }
    echo "</td></tr>\n";
    
}

// Menu support gpo-templatesapt-cache show sambaedu-shares | grep "^Description:"


echo "</table>";

echo "<br><br>";



include ("pdp.inc.php");
?>
