<?php

/**

 * Permet de passer en mode debu depuis l'interface
 * 
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: debug.php
 */
require_once "config.inc.php";
require_once "ldap.inc.php";
require ("entete.inc.php");
require_once ("lang.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');
// aide
$_SESSION["pageaide"] = "L\'interface_web_administrateur#Configuration_g.C3.A9n.C3.A9rale";

if (! have_right($config, "se3_is_admin"))
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");

$debug = $_GET['debug'] ?? "0";

if (! isset($config['debug'])) {
    $config['debug'] = set_param($config, "debug", "0");
}

if (is_dir("/etc/php/7.3")) {
    $php_version = "7.3";
} else {
    $php_version = "7.0";
}
$php_conf_path = "/etc/php/" . $php_version;

if (($debug == "1") && ($config['debug'] == "0")) {
    exec("sudo apt update && sudo apt install -y php-xdebug");
    exec("echo 'xdebug.show_error_trace = 1' | sudo tee -a " . $php_conf_path . "/mods-available/xdebug.ini");
    exec("echo 'xdebug.collect_params = 3' | sudo tee -a " . $php_conf_path . "/mods-available/xdebug.ini");
    exec("echo 'php_flag[display_errors] = on' | sudo tee -a " . $php_conf_path . "/fpm/pool.d/sambaedu.conf");
    set_param($config, "debug", "1");
    echo "Mode debug activé !<br>";
    flush();
    system("sudo systemctl restart php" . $php_version . "-fpm.service");
} elseif (($debug == "0") && ($config['debug'] == "1")) {
    exec("sudo apt update && sudo apt remove -y php-xdebug");
    exec("sudo sed -i '/xdebug.show_error_trace = 1/d' " . $php_conf_path . "/mods-available/xdebug.ini");
    exec("sudo sed -i '/xdebug.collect_params = 3/d' " . $php_conf_path . "/mods-available/xdebug.ini");
    exec("sudo sed -i '/^php_flag\[display_errors\] = on$/d' " . $php_conf_path . "/fpm/pool.d/sambaedu.conf");
    set_param($config, "debug", "0");
    echo "Mode debug désactivé !<br>";
    flush();
    system("sudo systemctl restart php" . $php_version . "-fpm.service");
}
echo "<a href=conf_params.php>Retour</a>";

include ("pdp.inc.php");
?>
