<?php

/**

 * Gestion des gpo pour clients Windows (export des gpo)


 * @Projet SambaEdu 

 * @auteurs  denis.bonnenfant

 * @Licence Distribue selon les termes de la licence GPL

 * @note 

 */
/**
 *
 * @Repertoire: registre
 * file: gpo-maj.php
 *
 */
require_once "entete.inc.php";
require_once "config.inc.php";
require_once "ldap.inc.php";
require_once "ihm.inc.php";
require_once "gpo.inc.php";
require_once ("lang.inc.php");
bindtextdomain('se3-registre', "/var/www/se3/locale");
textdomain('se3-registre');

echo "<h1>Export des GPO</h1>";
$exports = $_POST['exports'] ?? array();

// connexion();

if (! have_right($config, "computers_is_admin"))
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");
    
    // Aide
    
    if (count($exports) == 0) {
        
        echo "<h1>" . gettext("Liste des GPOs du domaine") . "</h1>";
        
        $gpos = gpogetlink($config, $config['ldap_base_dn']);
        $nb = count($gpos);
	usort($gpos, 'compare_list_gpo_by_name');
        if ($nb > 15)
            $nb = 15;
            echo "<h3>" . gettext("Sélectionnez des GPO:") . "</h3>";
            echo "<FORM method=\"post\" action=\"gpo-export.php\">\n";
            echo "<SELECT NAME=\"exports[]\" SIZE=\"" . $nb . "\" multiple>";
            
            foreach ($gpos as $gpo) {
                echo "<option value=\"" . $gpo["displayname"] . "\"";
                echo ">" . $gpo["displayname"] . "\n";
                echo "</option>";
            }
            echo "</SELECT>\n";
            echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
            
            echo "</FORM>\n";
    } else {
        foreach ($exports as $gpo) {
            
            $res = export_gpo($config, $gpo);
            echo "GPO " . $gpo . " :<br>\n";
            if ($res)
                echo "export OK : <a href='templates/etab_" .$gpo.".zip'> Télécharger...</a><br>\n";
                else
                    echo "ERREUR<br>\n";
        }
    }
    
include ("pdp.inc.php");
?>
