<?php

/**

 * Page d'accueil redirige vers auth ou blank ou test

* @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: /
 * file: index.php
 */
session_name("Sambaedu");
@session_start([
    'cookie_lifetime' => 86400,
]);

require_once 'config.inc.php';
require_once 'ldap.inc.php';
require_once 'samba.inc.php';
require_once 'partages.inc.php';
// require 'functions.inc.php';
check_ad($config);
$login = isauth();
set_config("registred", 2); // /A quoi ça sert ? mrfi

$html = "<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01 Frameset//EN' 'http://www.w3.org/TR/html4/frameset.dtd'>
<html>
<head>
<title>Interface SambaEdu</title>
</head>
";
if (! empty($config['ent_auth']) && $config['ent_auth'] == 1)
    // pas de SSO pour l'interface admin !
    //$auth = "oauth2/login.php";
    $auth = "auth.php";
else
    $auth = "auth.php";

if (empty($login)) {
    $frame = $auth;
    $html .= "<FRAMESET COLS='*'>";
} elseif (have_right($config, "se3_is_admin")) {
    $nologin="/etc/nologin";
if(!file_exists($nologin)){
    exec("sudo touch $nologin");
    exec("sudo chattr +i $nologin");
    }

$acls=array(
"user::rwx",
"group::rwx",
"group:domain\\040admins:rwx",
"mask::rwx",
"other::r-x",
"default:user::rwx",
"default:group::rwx",
"default:group:domain\\040admins:rwx",
"default:mask::rwx",
"default:other::r-x");
create_dir_acls("/var/sambaedu/Docs", "admin", $acls);
create_dir_acls("/var/sambaedu/Classes", "www-admin", $acls);
create_dir_acls("/var/sambaedu/Progs", "admin", $acls);
create_dir_acls("/var/sambaedu/Progs/ro", "admin", $acls);


$replacements = array(
    'default:other::r-x' => 'default:other::rwx'
);

foreach ($acls as $key => $value) {
    if (isset($replacements[$value])) {
        $acls[$key] = $replacements[$value];
    }
}
create_dir_acls("/var/sambaedu/Progs/rw", "admin", $acls);

    
    
    $html .= "<FRAMESET COLS='227,*'>
	<FRAME SRC='menu.php' NAME='menu' frameborder='0' />
";
    if (isset($config['affiche_etat']) && $config['affiche_etat'] == 1) {
        if ($config['registred'] <= 1) {
            $frame = "blank.php";
        } else {
            $frame = "test.php";
        }
    } else {
        $frame = "blank.php";
    }
} else {
    $html .= "<FRAMESET COLS='227,*'>
	<FRAME SRC='menu.php' NAME='menu' frameborder='0' />
";
    $frame = "annu/me.php";
}
$html .= "    <FRAME SRC='" . $frame . "' NAME='main' frameborder='0' />
";

$html .= "</FRAMESET>
</html>
";
echo $html;

?> 