<?php

/**

 * Recherche une machine par son adresse IP ou son nom

 * @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: 

 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: parcs/
 * file: cherche_machine.php
 *
 */
include "entete.inc.php";
require_once ("ldap.inc.php");
require_once ("ihm.inc.php");
require_once ("actions.inc.php");
// require_once ("printers.inc.php");

require_once ("fonc_outils.inc.php");

// include ("siecle.inc.php"); // Pour les recherches de doublons

// Traduction
require_once ("lang.inc.php");
bindtextdomain('se3-parcs', "/var/www/sambaedu/locale");
textdomain('sambaedu-parcs');

$parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : NULL);
$parcs = isset($_POST['parcs']) ? $_POST['parcs'] : NULL;

$mpenc = isset($_POST['mpenc']) ? $_POST['mpenc'] : (isset($_GET['mpenc']) ? $_GET['mpenc'] : NULL);
$choix = $_POST['choix'] ?? $_GET['choix'] ?? 0;
$action = $_POST['action'] ?? $_GET['action'] ?? "";
$filtre = $_POST['filtre'] ?? 0;
// aide
$_SESSION["pageaide"] = "Gestion_des_parcs";

if (have_right($config, "computers_is_admin")) {

    // titre
    echo "<h1>" . gettext("Rechercher") . "</h1>";

    // Affichage des machines sans parc
    if (! empty($_POST['sansparc'])) {
        echo "<h3>Machines sans salles</h3>\n";
        echo "<br />\n";

        echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        echo "<input type=\"hidden\" name=\"sansparc\" value=\"oui\">\n";
        if ((isset($_POST['affiche_all'])) && ($_POST['affiche_all'] == "yes")) {
            echo "<input type=\"submit\" value=\"" . gettext("Voir uniquement les machines sans Salles") . "\">\n";
        } else {
            echo "<input type=\"hidden\" name=\"affiche_all\" value=\"yes\">\n";
            echo "<input type=\"submit\" value=\"" . gettext("Voir toutes les machines") . "\">\n";
        }
        echo "</form>\n";
        echo "<br /><br />\n";

        echo "<form method=\"post\" action=\"create_parc.php\">\n";
        // echo "<table>\n";
        $list_computer = list_members_parc($config, "Computers", "true");
        // echo "count(\$list_computer)=".count($list_computer)."<br />\n";
        if (count($list_computer) > 0) {
            $color = "#B4CDCD";
            echo "<table>\n";
            for ($loopa = 0; $loopa < count($list_computer); $loopa ++) {
                // if ($list_computer[$loopa]['cn'] != $netbios_name) {
                // echo "<p>\$list_computer[$loopa]['cn']=" . $list_computer[$loopa]["cn"] . "<br />\n";
                // $exist_parc = list_parcs($config, $list_computer[$loopa]['cn']);
                // echo "\$exist_parc[0]['cn']=".$exist_parc[0]["cn"]."<br />\n";
                // if ((! isset($exist_parc[0]["name"])) || ($exist_parc[0]["name"] == "")) {
                $computer_parc = "no";
                // } else {
                // $computer_parc = "yes";
                // }
                // echo "\$computer_parc=$computer_parc<br />";

                $mpenc = ldap_hostname($list_computer[$loopa]);
                $icone = "computer.png";
                // $inventaire_act=inventaire_actif();
                // Initialisation
                $retourOs = "";
                // if ($inventaire == "1") {
                // // Type d'icone en fonction de l'OS
                // $retourOs = type_os($mpenc);
                // if ($retourOs == "0") {
                // $icone = "computer.png";
                // } elseif ($retourOs == "Linux") {
                // $icone = "linux.png";
                // } elseif ($retourOs == "XP") {
                // $icone = "winxp.png";
                // } elseif ($retourOs == "98") {
                // $icone = "win.png";
                // } elseif ($retourOs == "10") {
                // $icone = "win10.png";
                // } elseif ($retourOs == "vista") {
                // $icone = "winvista.png";
                // } elseif ($retourOs == "7") {
                // $icone = "win7.png";
                // } else {
                // $icone = "computer.png";
                // }
                // }

                $ip = $list_computer[$loopa]['iphostnumber'];
                if ((isset($_POST['affiche_all'])) && ($_POST['affiche_all'] == "yes")) {
                    if ($color == "#E0EEEE") {
                        $color = "#B4CDCD";
                    } else {
                        $color = "#E0EEEE";
                    }
                    $affiche_result_prov = "<tr bgcolor=$color><td>&nbsp;&nbsp;";
                    $affiche_result_prov .= "<img width=\"15\" height=\"15\" style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"$retourOs\">\n";
                    $affiche_result_prov .= $mpenc; // $list_computer[$loopa]['cn'];
                    echo "$affiche_result_prov";
                    echo "</td><td>$ip";
                    echo "</td></tr>\n";
                } else {
                    if ($computer_parc == "no") {
                        if ($color == "#E0EEEE") {
                            $color = "#B4CDCD";
                        } else {
                            $color = "#E0EEEE";
                        }
                        $affiche_result_prov = "<tr bgcolor=$color><td>&nbsp;&nbsp;";
                        $affiche_result_prov .= "<input type=\"checkbox\" name=\"new_computers[]\" id=\"new_computers_$loopa\" value=\"$mpenc\"></td><td>&nbsp;&nbsp;";

                        $affiche_result_prov .= "<input type=\"hidden\" name=\"create_parc\" value=\"true\">\n";
                        $affiche_result_prov .= "<img width=\"15\" height=\"15\" style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"$retourOs\">\n";

                        $affiche_result_prov .= "<label for=\"new_computers_$loopa\">$mpenc</label>";
                        echo "$affiche_result_prov";
                        echo "</td><td><label for=\"new_computers_$loopa\">$ip</label>";
                        echo "</td></tr>\n";
                    }
                }
            }
            // }
            echo "</table>\n";

            if ((! isset($_POST['affiche_all'])) || ($_POST['affiche_all'] != "yes")) {
                echo "<p><a href='javascript: checkAll();'>Tout cocher</a> / <a href='javascript:UncheckAll();'>Tout d&eacute;cocher</a></p>";

                echo "<script type='text/javascript'>
	function checkAll(){
		champs_input=document.getElementsByTagName('input');
		for(i=0;i<champs_input.length;i++){
			type=champs_input[i].getAttribute('type');
			if(type==\"checkbox\"){
				champs_input[i].checked=true;
			}
		}
	}

	function UncheckAll(){
		champs_input=document.getElementsByTagName('input');
		for(i=0;i<champs_input.length;i++){
			type=champs_input[i].getAttribute('type');
			if(type==\"checkbox\"){
				champs_input[i].checked=false;
			}
		}
	}
</script>";
            }

            echo "<input type=\"submit\" value=\"" . gettext("Ajouter &#224; un parc") . "\">\n";

            echo "</form>\n";
        } else {
            echo "Il n'y a aucune machine";
        }
    } else {

        echo "<h3>" . gettext("Modifier une machine") . "</h3>\n";
        echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        echo gettext("Filtre sur les noms, ip, mac  : ");

        echo " <INPUT TYPE=\"text\" NAME=\"filtre\" VALUE=\"$mpenc\" SIZE=\"14\">";
        echo "</SELECT>&nbsp;&nbsp;\n";
        echo " <input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
        echo "<input type=\"hidden\" name=\"choix\" value=\"1\">\n";
        echo "<u onmouseover=\"return escape" . gettext("('Donner le d&#233;but du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

        echo "</FORM>\n";
        if (empty($filtre))
            $filtre = ".*";
        else
            $filtre = ".*" . $filtre . ".*";
        if ($choix == 1) {
            $list_computer = search_ad($config, $filtre, "machine");
            // array_merge($list_computer, search_dhcp_leases($config, $filtre));
            $list_computer = search_dhcp_leases($config, $filtre);
            array_multisort(array_column($list_computer, 'state'), SORT_ASC, array_column($list_computer, 'cn'), SORT_ASC, $list_computer);
            if (count($list_computer) > 15)
                $size = 15;
            else
                $size = count($list_computer);

            if (count($list_computer) > 0) {
                sort($list_computer);
                echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
                echo gettext("Nom ou adresse IP de la machine : ");
                echo "<p><select size=\"" . $size . "\" name=\"mpenc\" multiple=\"multiple\">\n";
                foreach ($list_computer as $machine) {
                    echo "<option value=\"" . $machine['cn'] . "\">" . ldap_hostname($machine) . " (" . $machine['state'] . " : " . $machine['iphostnumber'] . ")\n";
                }
                echo "</SELECT>\n";

                echo "<input type=\"hidden\" name=\"choix\" value=\"0\">\n";
                echo " <input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";

                echo "<u onmouseover=\"return escape" . gettext("('Donner le d&#233;but du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

                echo "</FORM>\n";
                echo "<br>";
            }
        }
        if (! empty($mpenc)) {
            $computer = search_machine($config, $mpenc, true);
            if ((count($computer) > 0)) {
                $ipHost = $computer['iphostnumber'] ?? "";
                $mac = $computer['networkaddress'] ?? "";
                $mpenc = ldap_hostname($computer);
                echo "Etat dhcp  : " . $computer['state'] . " adresse mac : " . $mac . " \n";
                if (($computer['state'] == "active") || ($computer['state'] == "free") || ($computer['state'] == "reservation")) {
                    echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
                    echo "<input type=\"hidden\" name=\"machine\" value=\"" . $computer['cn'] . "\">\n";
                    echo "<input type=\"text\" size=\"16\" name=\"ip\" value=\"$ipHost\">\n";
                    echo form_choix_reservation($action);
                    echo "</form>\n";
                    $ligne = "<a href=action_machine.php?retour=cherche_machine&action=reservation&machine=" . $computer['cn'] . "> ip dns : " . $computer['iphostnumber'] . "</a>";
                } else {
                    echo "inconnus : allumez le poste ?";
                }
                $from = urlencode("cherche_machine.php?mpenc=" . $computer['cn']);
                echo "<a href=\"rdp.php?machine=" . $computer['cn'] . "&refresh=1&from=" . $from . "\"><img src=\"../elements/images/rdp.png\" alt=\"Accès distant...\"></a><br>";

                echo "<a href=show_histo.php?selectionne=2&mpenc=" . $computer['cn'] . ">Voir l'historique des connexions</a><br>\n";

                echo "<br><br>Se trouve dans les parcs&nbsp;: ";
                for ($loopa = 0; $loopa < 1; $loopa ++) {
                    // echo $computer[$loopa]["cn"];
                    echo "<br /><br />\n";
                    $list_parcs = list_parcs($config, $computer['cn']);
                    if (count($list_parcs) > 0) {
                        for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                            $parc = $list_parcs[$loop]["name"];
                            if (($loop == 0) && ($list_parcs[$loop]['type'] == "salle"))
                                $ligne = "Salle : " . $list_parcs[$loop]["name"];
                            elseif ($list_parcs[$loop]['type'] == "salle")
                                $ligne = "Parc : " . $list_parcs[$loop]["name"] . " : Hérité";
                            else
                                $ligne = "Parc : " . $list_parcs[$loop]["name"];
                            echo "<A HREF=\"show_parc.php?parc=$parc\">" . $ligne . "</A>";
                            echo "<br />\n";
                        }
                    }
                    if (count($list_parcs) == 0) {
                        echo "<br />\n";
                        echo "La machine $mpenc ne se trouve dans aucun parc";
                        echo "<br /><br /><center>";
                        echo "<a href=../parcs/cherche_machine.php>Retour</a>\n";
                        echo "</center>\n";
                    }
                    echo "<H3>" . gettext("Déplacement de la machine") . "</H3>";
                    echo "<u onmouseover=\"return escape" . gettext("('Indiquer le nom de la salle où vous voulez déplacer la machine.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

                    $list_newparcs = search_parcs($config, "*", "salle");
                    sort($list_newparcs);
                    if (count($list_newparcs) > 0) {
                        echo "<FORM method=\"post\" action=\"create_parc.php\">\n";
                        echo "<table>\n";
                        echo "<tr><td valign=\"top\">" . gettext("Choisir un parc parent:") . " </td>\n";
                        if (count($list_newparcs) > 10)
                            $size = 10;
                        else
                            $size = count($list_newparcs);

                        echo "<td><SELECT NAME=\"parc\" SIZE=\"$size\" >";
                        for ($loop = 0; $loop < count($list_newparcs); $loop ++) {
                            if ($list_parcs[0]["name"] != $list_newparcs[$loop]["name"])
                                echo "<option value=\"" . $list_newparcs[$loop]["name"] . "\">" . $list_newparcs[$loop]["name"] . "</option>\n";
                        }

                        echo "</SELECT></td></tr>\n";
                        echo "</table>\n";
                    }
                    echo "<input type=\"hidden\" name=\"new_computers[]\" value=\"" . $computer['cn'] . "\">\n";
                    echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
                    echo "</FORM>\n";
                }
                if (@$config['wpkg'] == "1") {
                    echo "<br><a href='../wpkg/poste_statuts.php?id_host=" . $computer['cn'] . "'>Voir les applications installées par Wpkg</a><br>\n";
                }
                if (($computer['state'] == "active") || ($computer['state'] == "free") || ($computer['state'] == "reservation")) {

                    echo "<br><FORM method=\"post\" action=\"lance_action.php\">\n";
                    echo form_action_type();
                    echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
                    echo "</FORM>\n";
                }

                include "pdp.inc.php";

                exit();
            }
        }

        // echo "<h3>" . gettext("Afficher toutes les machines sans parc") . "</h3>\n";
        //
        // echo "<FORM method=\"post\" action=\"cherche_machine.php\">\n";
        // echo "Afficher toutes les machines sans parc ";
        // echo "<input type=\"hidden\" name=\"sansparc\" value=\"oui\">\n";
        // echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
        // echo "</form>";
        //
        // echo "<br />\n";
    }
}

include "pdp.inc.php";
?>
