<?php
/**

 * Lance une action au prochain boot (ipxe)

 * @Projet SambaEdu

 * @auteurs denis bonnenfant

 * @TODO structure spaghetti... a refaire

 * @Licence Distribue selon les termes de la licence GPL

 */
require_once "entete.inc.php";
include "ihm.inc.php";
require "actions.inc.php";
require "ipxe_functions.inc.php";
require "windows.inc.php";

// Traduction
require_once ("lang.inc.php");

$etape = $_POST['etape'] ?? "";
$name = $_POST['name'] ?? "";
$action = $_POST['action'] ?? "";
$id = $_POST['id'] ?? "";
$mode = $_POST['mode'] ?? "";
$filtre = $_POST['filtre'] ?? "";
$choix = $_POST['choix'] ?? 0;
$clones = $_POST['clones'] ?? array();
$new_name = substr(@$_POST['new_name'], 0, 15) ?? "";
// aide
$_SESSION["pageaide"] = "Installation";

if (have_right($config, "computers_is_admin")) {
    echo "<h1>Actions iPXE</h1>\n";
    if ($etape == "ajout") {
        if (count($clones) == 0) {
            echo "<h3>" . gettext("Choisir des clones") . "</h3>\n";
            echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
            echo gettext("Filtre des noms des des machines : ");
            echo " <INPUT TYPE=\"text\" name=\"filtre\" VALUE=\"$filtre\" SIZE=\"14\">";
            echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
            echo "<input type=\"hidden\" name=\"mode\" value=\"clone\">\n";
            echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
            echo "<input type=\"hidden\" name=\"choix\" value=\"1\">\n";
            echo "<input type=\"hidden\" name=\"etape\" value=\"ajout\">\n";
            echo " <input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";

            echo "<u onmouseover=\"return escape" . gettext("('Donner le début du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

            echo "</FORM>\n";
            echo "<br>";
            if (empty($filtre))
                $filtre = "*";
            else
                $filtre = "*" . $filtre . "*";
            if ($choix == 1) {
                $list_computer = search_ad($config, $filtre, "machine");
                if (count($list_computer) > 15)
                    $size = 15;
                else
                    $size = count($list_computer);

                if (count($list_computer) > 0) {
                    sort($list_computer);
                    echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
                    echo gettext("Nom ou adresse IP de la machine : ");
                    echo "<p><select size=\"" . $size . "\" name=\"clones[]\" multiple=\"multiple\">\n";
                    foreach ($list_computer as $machine) {
                        echo "<option value=\"" . $machine['cn'] . "\">" . ldap_hostname($machine) . "\n";
                    }
                    echo "</SELECT>\n";

                    echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
                    echo "<input type=\"hidden\" name=\"mode\" value=\"clone\">\n";
                    echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
                    echo "<input type=\"hidden\" name=\"choix\" value=\"1\">\n";
                    echo "<input type=\"hidden\" name=\"etape\" value=\"ajout\">\n";
                    // echo "<input type=\"hidden\" name=\"filtre\" value=\"$filtre\">\n";
                    echo " <input type=\"submit\" value=\"" . gettext("Ajouter des clones") . "\">\n";

                    echo "<u onmouseover=\"return escape" . gettext("('Donner le d&#233;but du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

                    echo "</FORM>\n";
                    echo "<br>";
                }
            }
        } else {
            foreach ($clones as $clone) {
                $script = "rescuecd";
                $res = set_action($config, $clone, "clonage", $id, "", "clone", $script, - 1);
                if (empty($res['netbootinitialization'])) {
                    echo "ERREUR, le poste n'a pas d'action enregistrée, et donc ne peut pas être cloné<br>\n";
                } else {
                    echo "Le poste $clone exécutera le clonage en tant que  \"" . $mode . "\" sous l'id " . $res['netbootinitialization'] . " au prochain redémarrage. Vérifiez que le poste est bien configuré pour démarrer en PXE, ou appuyez sur F12\n";
                    echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
                    echo "<input type=\"hidden\" name=\"action\" value=\"reboot\">\n";
                    echo "<input type=\"hidden\" name=\"machine\" value=\"" . $clone . "\">\n";
                    echo "<input type=\"hidden\" name=\"retour\" value=\"lance_action_old\">\n";
                    echo " <input type=\"submit\" value=\"Allumer ou rebooter...\">\n";
                    echo "</FORM>\n";
                }
            }
        }
    } else {
        echo "<h3>" . gettext("Choisir une machine") . "</h3>\n";
        echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
        echo gettext("Filtre sur le nom : ");

        echo " <INPUT TYPE=\"text\" NAME=\"filtre\" VALUE=\"$name\" SIZE=\"14\">";
        echo "</SELECT>&nbsp;&nbsp;\n";
        echo " <input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
        echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
        echo "<input type=\"hidden\" name=\"mode\" value=\"$mode\">\n";
        echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";

        echo "<input type=\"hidden\" name=\"choix\" value=\"1\">\n";
        echo "<u onmouseover=\"return escape" . gettext("('Donner le d&#233;but du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

        echo "</FORM>\n";
        if (empty($filtre))
            $filtre = "*";
        else
            $filtre = "*" . $filtre . "*";
        if ($choix == 1) {
            $list_computer = search_ad($config, $filtre, "machine");
            if (count($list_computer) > 15)
                $size = 15;
            else
                $size = count($list_computer);

            if (count($list_computer) > 0) {
                sort($list_computer);
                echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
                echo gettext("Nom ou adresse IP de la machine : ");
                echo "<p><select size=\"" . $size . "\" name=\"name\" multiple=\"multiple\">\n";
                foreach ($list_computer as $machine) {
                    echo "<option value=\"" . $machine['cn'] . "\">" . ldap_hostname($machine) . "\n";
                }
                echo "</SELECT>\n";

                echo "<input type=\"hidden\" name=\"choix\" value=\"0\">\n";
                echo " <input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
                echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
                echo "<input type=\"hidden\" name=\"mode\" value=\"$mode\">\n";
                echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";

                echo "<u onmouseover=\"return escape" . gettext("('Donner le d&#233;but du nom ou de l\'adresse IP de la machine que vous souhaitez trouver.')") . "\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"></u> ";

                echo "</FORM>\n";
                echo "<br>";
            }
        }
        $computer = search_machine($config, $name);

        if ($action == "default") {
            $res = set_action($config, $computer['cn'], "default", "", "", "", "default");
            echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
            echo "<input type=\"hidden\" name=\"action\" value=\"reboot\">\n";
            echo "<input type=\"hidden\" name=\"machine\" value=\"" . $computer['cn'] . "\">\n";
            echo "<input type=\"hidden\" name=\"retour\" value=\"lance_action_old\">\n";
            echo " <input type=\"submit\" value=\"Allumer ou rebooter...\">\n";
            echo "</FORM>\n";
            echo "<br>";
        } elseif ($action == "renomme") {

            if (empty($new_name)) {
                echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
                echo " <INPUT TYPE=\"text\" NAME=\"new_name\" VALUE=\"" . $computer['cn'] . "\" SIZE=\"15\" onchange=submit()>";
                echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
                echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
                echo "</FORM>\n";
                echo "<br>";
            } else {
                $res = set_action($config, $computer['cn'], "renomme", "", "", $new_name, "sysprep", - 1);
            }
        } elseif ($action == "clonage") {
            if ((! empty($id) && ($mode == "clone")) || ($mode == "modele") || ($mode == "rescuecd")) {
                if ($mode == "modele") {
                    $script = "sysprep";
                } elseif ($mode == "rescuecd") {
                    $mode = "modele";
                    $script = "rescuecd";
                } else {
                    $script = "rescuecd";
                }
                $res = set_action($config, $computer['cn'], "clonage", $id, "", $mode, $script, - 1);
                if (empty($res['netbootinitialization'])) {
                    echo "ERREUR, le poste n'a pas d'action enregistrée, et donc ne peut pas être cloné<br>\n";
                } else {
                    echo "Le poste exécutera le clonage en tant que  \"" . $mode . "\" sous l'id " . $res['netbootinitialization'] . " au prochain redémarrage. Vérifiez que le poste est bien configuré pour démarrer en PXE, ou appuyez sur F12\n";
                    echo "<h3>" . gettext("Ajouter des clones") . "</h3>\n";
                    echo "<FORM method=\"post\" action=\"lance_action_old.php\">\n";
                    echo "<input type=\"hidden\" name=\"action\" value=\"$action\">\n";
                    echo "<input type=\"hidden\" name=\"mode\" value=\"clone\">\n";
                    echo "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
                    echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
                    echo "<input type=\"hidden\" name=\"etape\" value=\"ajout\">\n";
                    echo " <input type=\"submit\" value=\"" . gettext("Ajouter des clones") . "\">\n";
                    echo "</FORM>\n";
                    echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
                    echo "<input type=\"hidden\" name=\"action\" value=\"reboot\">\n";
                    echo "<input type=\"hidden\" name=\"machine\" value=\"" . $computer['cn'] . "\">\n";
                    echo "<input type=\"hidden\" name=\"retour\" value=\"lance_action_old\">\n";
                    echo " <input type=\"submit\" value=\"Allumer ou rebooter...\">\n";
                    echo "</FORM>\n";
                    echo "<br>";
                    echo "<br>";
                }
            } else {
                if ($actions = fetch_action()) {
                    $liste = array();
                    foreach ($actions as $id => $action) {
                        if ($action['type'] == 'clonage') {
                            foreach ($action as $membre) {
                                if (isset($membre['role'])) {
                                    if ($membre['role'] == 'modele') {
                                        $liste[] = $id;
                                    }
                                }
                            }
                        }
                    }
                    if (empty($mode) || ($mode == "modele")) {

                        echo "<br><h2> Choix du rôle pour le clonage de " . $computer['cn'] . " </h2>\n";
                        echo "<br><FORM method=\"post\" action=\"lance_action_old.php\">\n";
                        echo "<SELECT NAME=\"mode\" SIZE=\"1\" onchange=submit()>";
                        echo "<option value=\"\">Mode...</option>";
                        echo "<option value=\"modele\">Modèle (nouveau clonage)</option>";
                        echo "<option value=\"rescuecd\">Modèle (image déjà préparée)</option>";
                        echo "<option value=\"clone\">Clone</option>";

                        echo "</SELECT>";
                        echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
                        echo "<input type=\"hidden\" name=\"action\" value=\"clonage\">\n";
                        echo "</FORM>\n";
                    }
                    if (! empty($mode) && ($mode == "clone")) {
                        echo "<br><h2> Choix d'un clonage en cours pour " . $computer['cn'] . "  </h2>\n";
                        echo "<br><FORM method=\"post\" action=\"lance_action_old.php\">\n";
                        echo "<SELECT NAME=\"id\" SIZE=\"1\">";
                        echo "<option value=\"\">Id...</option>";
                        foreach ($liste as $lid) {
                            echo "<option value=\"$lid\"";
                            if ($lid == $id)
                                echo " selected";
                            echo ">$lid</option>";
                        }
                        echo "</SELECT>";
                        echo "<input type=\"hidden\" name=\"action\" value=\"clonage\">\n";
                        echo "<input type=\"hidden\" name=\"mode\" value=\"clone\">\n";
                        echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
                        echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";

                        echo "</FORM>\n";
                    }
                } else {
                    echo "erreur, pas d'actions disponibles...\n";
                }
            }
            // }
        } elseif (! empty($action)) {
            $res = set_action($config, $name, "install", "", "", "", $action, - 1);
            if (empty($res['networkaddress'])) {
                echo "ERREUR, le poste n'a pas d'adresse MAC enregistrée, et donc ne peut pas être installé<br>Vous devez au minimum l'allumer, ou mieux reserver son IP\n";
            } else {
                echo "Le poste exécutera l'action \"" . $action . "\" sous l'id " . $res['netbootinitialization'] . " au prochain redémarrage. Vérifiez que le poste est bien configuré pour démarrer en PXE, ou appuyez sur F12\n";
                echo "<FORM method=\"post\" action=\"action_machine.php\">\n";
                echo "<input type=\"hidden\" name=\"action\" value=\"reboot\">\n";
                echo "<input type=\"hidden\" name=\"machine\" value=\"" . $name . "\">\n";
                echo "<input type=\"hidden\" name=\"retour\" value=\"lance_action_old\">\n";
                echo " <input type=\"submit\" value=\"Allumer ou rebooter...\">\n";
                echo "</FORM>\n";
            }
        } else {
            echo "<br><FORM method=\"post\" action=\"lance_action_old.php\">\n";
            echo "<SELECT NAME=\"action\" SIZE=\"1\" onchange=submit()>";
            echo "<option value=\"\">Action...</option>";
            echo "<option value=\"clonage\">Clonage...</option>";
            echo select_actions($ipxe_actions);
            echo "</SELECT>";
            echo "<input type=\"hidden\" name=\"name\" value=\"" . $computer['cn'] . "\">\n";
            echo "</FORM>\n";
        }
    }
}
include ("pdp.inc.php");
?>    