<?php

/**
 * affiche les parcs et le contenu

 * @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: 

 * @Licence Distribue sous la licence GPL

 */

/**
 *
 * @Repertoire: parcs/
 * file: show_parc.php
 */
require_once "entete.inc.php";
include "ihm.inc.php";
include "printers.inc.php";
require_once ("fonc_outils.inc.php");
$message = "messages/" . $config['lang'] . "/action_parc_messages.php";
require ($message);

// Traduction
require_once ("lang.inc.php");
bindtextdomain('sambaedu-parcs', "/var/www/sambaedu/locale");
textdomain('sambaedu-parcs');

$parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : "");
$parcs = isset($_POST['parcs']) ? $_POST['parcs'] : "";
$mpenc = isset($_POST['mpenc']) ? $_POST['mpenc'] : "";
$description = isset($_GET['description']) ? $_GET['description'] : "";
$entree = isset($_GET['entree']) ? $_GET['entree'] : "";
$parent = $_POST['parent'] ?? $_GET['parent'] ?? "";
$order = isset($_GET['order']) ? $_GET['order'] : "";
$parc_type = "";
// aide
$_SESSION["pageaide"] = "Gestion_des_parcs";

// debug_var();
// search_machine($_SESSION, $parc_type);
if (! have_right($config, "computers_is_admin")) {
    die("Droits insufisants pour accéder à cette fonction");
}

// titre
echo "<h1>" . gettext("Liste des parcs") . "</h1>";
echo "<h3>" . gettext("S&#233;lectionnez un parc:") . "</h3>";
if (! empty($parent) && ! empty($parc)) {
    $res = move_parc($config, $parent, $parc);
    if ($res)
        echo "Parc correctement déplacé<br>";
    else
        echo "ERREUR déplacement du parc<br>";
}

$list_parcs = search_parcs($config, "*");
if (count($list_parcs) > 0) {
    echo "<FORM method=\"post\" action=\"show_parc.php\">\n";
    echo "<SELECT NAME=\"parc\" SIZE=\"1\" onchange=submit()>";
    echo "<option value=\"\">S&#233;lectionner</option>";
    for ($loop = 0; $loop < count($list_parcs); $loop ++) {
        echo "<option value=\"" . $list_parcs[$loop]["name"] . "\"";
        if ($parc == $list_parcs[$loop]["name"]) {
            echo " selected";
        }
        echo ">" . $list_parcs[$loop]["name"] . "\n";
        echo "</option>";
    }
    echo "</SELECT>&nbsp;&nbsp;\n";

    echo "</FORM>\n";
    if (count($info = search_parcs($config, $parc)) > 0) {
        if (strtolower($info[0]['name']) == "computers") {
            echo "<h2> Parc racine, non modifiable</h2><br>";
        } else {
            if ($info[0]['type'] == "salle") {
                $parc_type = "salle";
                echo "<h2>  Parc de type salle, parent : <a href=\"show_parc.php?parc=" . $info[0]["parent"] . "\"><b>" . $info[0]["parent"] . "</b></a>" .  "</h2>";
                $list_new = search_parcs($config, "*", "salle");
                if (count($list_new) > 0) {
                    echo "<FORM method=\"post\" action=\"show_parc.php\">\n";
                    echo "<SELECT NAME=\"parent\" SIZE=\"1\" onchange=submit()>";
                    echo "<option value=\"\">Nouveau parent...</option>";
                    for ($loop = 0; $loop < count($list_new); $loop ++) {
                        if (! preg_match("/=" . $info[0]["name"] . ",/", $list_new[$loop]['dn'])) {
                            echo "<option value=\"" . $list_new[$loop]["name"] . "\"";
                            echo ">" . $list_new[$loop]["name"] . "\n";
                            echo "</option>";
                        }
                    }
                    echo "</SELECT>&nbsp;&nbsp;\n";
                    echo "<input type=hidden name=parc value=\"" . $info[0]['name'] . "\">";
                    echo "</FORM><br>\n";
                }
            }
        }
    }
} else {
    echo "<center>";
    echo "Il n'existe encore aucun parc";
    echo "</center>";
    exit();
}

// Test si le parc possede un template
if (empty($parc))
    exit();
// Lecture des membres du parc
$mp = list_members_parc($config, $parc, true, false);

$nombre_machine = count($mp);
if (isset(list_group_printers($config, $parc)['printers'])) {
    $printers = list_group_printers($config, $parc)['printers'];
} else {
    $printers = array();
}
$nombre_printers = count($printers);

/**
 * **********************************************************************
 */
echo "<script language='javascript' type='text/javascript'>
		
		/**

		* Coche des boutons radio pour selection
		* @language Javascript	
		* @Parametres
		* @Return
		*/

		function coche_delete(mode,statut){
			for(k=0;k<$nombre_machine;k++){
				 if(document.getElementById(mode+'_'+k)){
	        			document.getElementById(mode+'_'+k).checked=statut;
	        			document.getElementById('del_'+k).checked=statut;
				 }
			}
		}
		
		
		/**

		* Coche des boutons radio pour selection de machine
		* @language Javascript
		* @Parametres
		* @Return
		*/

		function coche_machine(mode,statut){
			 if(document.getElementById(mode)){
		       		document.getElementById(mode).checked=statut;
			 }
		}
	</script>\n";
/**
 * **********************************************************************
 */

if (count($mp) > 15)
    $size = 15;
else
    $size = count($mp);
// echo "<p>".gettext("Liste des machines dans le parc :")." (".count($mp).")</p>\n";
echo "<center>\n";
echo "<script type=\"text/javascript\" src=\"js/jquery.js\"></script>";
echo "<script type=\"text/javascript\" src=\"js/interface.js\"></script>";
?>
<script type="text/javascript">
	
	$(document).ready(
		function()
		{
			$('#dock').Fisheye(
				{
					maxWidth: 40,
					items: 'a',
					itemsText: 'span',
					container: '.dock-container',
					itemWidth: 40,
					proximity: 50,
					alignment : 'left',
					halign : 'center'
				}
			)
		}
	);

</script>
<?php

echo "<div class=\"dock\" id=\"dock\">";
echo "<div class=\"dock-container\">";
echo "<a class=\"dock-item\" href=\"create_parc.php?parc=$parc\"><span>Ajouter une machine</span><img src=\"../elements/images/computer_large.png\" alt=\"Machine\" /></a>";
// if($parc_type == "salle") {
// echo "<a class=\"dock-item\" href=\"../printers/add_printer.php?parc=$parc\"><span>Ajouter une imprimante</span><img src=\"../elements/images/printer_large.png\" alt=\"Imprimante\" /></a>";
// }
if ($parc != "Computers") {
    echo "<a class=\"dock-item\" href=\"../printers/add_printer.php?parc=$parc\"><span>Ajouter une imprimante</span><img src=\"../elements/images/printer_large.png\" alt=\"Imprimante\" /></a>";
}
echo "<a class=\"dock-item\" href=\"../parcs/wolstop_station.php?parc=$parc&amp;action=timing\"><span>Programmer l'arr&#234;t et l'allumage des machines</span><img src=\"../elements/images/xclock.png\" alt=\"Programmer\" /></a>";
echo "<a class=\"dock-item\" href=\"../parcs/action_parc.php?parc=$parc\"><span>Action sur les machines</span><img src=\"../elements/images/system-run.png\" alt=\"Action\" /></a>";

// Template
// if (! file_exists("/home/templates/$parc")) {
// echo "<a class=\"dock-item\" href=\"../parcs/create_parc.php?parc[]=$parc&amp;creationdossiertemplate=oui\"><span>Cr&#233;er le template pour ce parc</span><img src=\"../elements/images/folder-development.png\" alt=\"Template\" /></a>";
// } else {
// echo "<a class=\"dock-item\" href=\"../registre/affiche_restrictions.php?salles=$parc\"><span>G&#233;rer le template</span><img src=\"../elements/images/preferences-desktop-cryptography.png\" alt=\"Restrictions\" /></a>";
// }

// echo "<a class=\"dock-item\" href=\"../popup/index.php?parc=$parc\"><span>Envoyer un popup aux machines connect&#233;es</span><img src=\"../elements/images/konversation.png\" alt=\"Popup\" /></a>";
// echo "<a class=\"dock-item\" href=\"../parcs/delegate_parc.php?action=new&amp;salles=$parc\"><span>D&#233;l&#233;guer ce parc</span><img src=\"../elements/images/list-add-user.png\" alt=\"Deleguer\" /></a>";

// Nomme une machine prof pour italc
// $parse = exec("cat /var/se3/unattended/install/wpkg/packages.xml | grep italc > /dev/null && echo 1");
// if ($parse == 1) {
// echo "&nbsp;&nbsp;&nbsp;";
// if ($description == "1") {
// $description_prof = "0";
// } else {
// $description_prof = "1";
// }
// echo "<a class=\"dock-item\" href=\"../parcs/show_parc.php?parc=$parc&amp;description=$description_prof\"><span>Choisir la machine professeur</span><img src=\"../elements/images/preferences-desktop-user-password.png\" alt=\"italc\" /></a>";
// }
echo "</div> ";
echo "</div><br/><br/>";
if (count($mp) > 0) {
    if ($order == "ip") {
        foreach ($mp as $machine) {
            if (isset($machine["iphostnumber"])) {
                $tri_ip[] = ip2long($machine["iphostnumber"]);
            } else {
                $tri_ip[] = 0;
            }
        }

        //array_multisort($tri_ip, SORT_ASC, $mp);
        // var_dump($mp);
    }

    echo "<FORM action=\"delete_parc.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
    echo "<input type=\"hidden\" name=\"delparc\" value=\"0\">\n";

    echo "<input type=\"hidden\" name=\"delete_parc\" value=\"1\">\n";

    /*
     * $module_clonage_actif="n";
     * $sql="select 1=1 from params where name='clonage' AND value='1';";
     * $test_clonage=mysqli_query($GLOBALS["___mysqli_ston"], $sql);
     * if(mysqli_num_rows($test_clonage)>0) {
     * $module_clonage_actif="y";
     * }
     */
    // echo "<TABLE border=1>";
    echo "<TABLE border=1 width=\"80%\">\n<tr class=menuheader style=\"height: 30\">\n";

    if ($description == "1") {
        echo "Cliquer sur <img style=\"border: 0px solid ;\" width=\"20\" height=\"20\" src=\"../elements/images/notify.gif\" title=\"Choisir la machine professeur\"> pour choisir une  machine comme machine professeur";
        echo "<br>ou recliquer sur le menu pour ne plus en avoir";
        echo "<br><br>";
    }

    echo "<tr><td class='menuheader' align=\"center\"><img src='../elements/images/computer_ocs.png'></td>";
    echo "<td class='menuheader' align=\"center\"><a href=\"show_parc.php?order=machines&parc=" . $parc . "\">" . gettext("Détails...") . "</a>" . "</td>";
    echo "<td class='menuheader' align=\"center\"><a href=\"show_parc.php?order=ip&parc=" . $parc . "\">" . gettext("Adresse IP") . "</a>" . "</td>";
    echo "<td class='menuheader' align=\"center\"><a href=\"show_parc.php?order=machines&parc=" . $parc . "\">" . gettext("Dernière connexion") . "</a>" . "</td>";

    /*
     * if ($module_clonage_actif == 'y') {
     * echo "<td class='menuheader' align=\"center\">" . gettext("Dernier rapport TFTP") . "</td>";
     * }
     */
    echo "<td class='menuheader' align=\"center\">" . gettext("Supprimer du parc") . "<br><a href=\"javascript:coche_delete('del',true)\">";
    echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
    echo " / \n";
    echo "<a href=\"javascript:coche_delete('del',false)\">";
    echo "<img src='../elements/images/disabled.gif' alt='D&#233;cocher tout' title='D&#233;cocher tout' border='0' /></a>\n";
    echo "</td>";
    echo "<td class='menuheader' align=\"center\">" . gettext("Supprimer compl&#232;tement") . "<br>";
    echo "<a href=\"javascript:coche_delete('sup',true)\">";
    echo "<img src='../elements/images/enabled.png' alt='Cocher tout' title='Cocher tout' border='0' /></a>";
    echo " / \n";
    echo "<a href=\"javascript:coche_delete('sup',false)\">";
    echo "<img src='../elements/images/disabled.gif' alt='D&#233;cocher tout' title='D&#233;cocher tout' border='0' /></a>\n";
    echo "</td></tr>\n";

    // *
    // * // Test la machine prof pour italc
    // * // $machine_prof=search_description_parc("$parc");
    // * $tableau_printer = "<br>";
    // * $tableau_printer .= "\n<br>\n<CENTER>\n";
    // *

    $suisje_printer = "0";
    $loop_id = 0;
    foreach ($mp as $machine) {
        if (strcasecmp(ldap_dn2oudn($machine['dn']), $config['dn']['equipements']) != 0) {

            $lastlogontimestamp = convertWindowsTimestamp($machine['lastlogon']);
            $last_cnx = date("d-m-Y H:i:s", $lastlogontimestamp);
            $nologin = ($lastlogontimestamp < time() - 12430000);
            $delete = $old = $reservation = "";
            if (! isset($machine['state']) && $nologin) {
                $delete = "checked";
            } elseif ($machine['state'] == "dns" && $nologin) {
                $delete = "checked";
            } elseif (($machine['state'] == "active") || ($machine['state'] == "active")) {
                $reservation = "checked";
            }
            $systemid = $mpenc = ldap_hostname($machine);
          echo "<tr>";
            $os = get_machine_status($config, $machine['cn'])['state'] ?? "";
            switch ($os){
                case "linux":
                    $icone = "linux.png";
                    break;
                case "windows":
                    $retourOs = $machine['operatingsystem'] ?? "";
                    if ($retourOs == "") {
                        $icone = "computer_disable.png";
                    } elseif (preg_match("/Windows XP.*/", $retourOs)) {
                        $icone = "winxp.png";
                    } elseif (preg_match("/Windows 7.*/", $retourOs)) {
                        $icone = "win7.png";
                    } elseif (preg_match("/Windows.*10.*/", $retourOs)) {
                        $icone = "win10.png";
                    } elseif (preg_match("/Windows Vista.*/", $retourOs)) {
                        $icone = "winvista.png";
                    }
                    break;
                default:
                    $icone = "computer_disable.png";
            }
            $ip = $machine['iphostnumber'] ?? "";
            echo "<td align='center'><img style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"" . $retourOs . " - " . $ip . "\" alt=\"$retourOs\" WIDTH=20 HEIGHT=20 onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\">";
            echo "<td align=\"center\"><A href='cherche_machine.php?mpenc=" . $machine['cn'] . "'>" . $mpenc . "</A></td>\n";
            $ip_link = "";
            $machine['state'] = $machine['state'] ?? "";
            $machine['networkaddress'] = $machine['networkaddress'] ?? "";
            if (empty($machine['state']) || $machine['state'] == "reservation") {
                $ip_link = "<a href=action_machine.php?retour=show_parc&action=dynamique&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "\" onclick=\"return getconfirm();\"> ip réservée :" . $ip . "(supprimer)</a>";
            } elseif ($machine['state'] == "active") {
                $ip_link = "<a href=action_machine.php?retour=show_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "> ip dynamique : $ip (réserver)</a>";
            } elseif ($machine['state'] == "dns") {
                     // $ip_link = "<a href=action_machine.php?retour=show_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . "> ip dns : $ip (réserver</a>";
                $ip_link = "ip dns :  $ip (machine éteinte ?)";
            } else {
                $ip_link = "ip inconnue (machine éteinte ?)";
            }
            echo "<td align=center>$ip_link</td>\n";

            if ($nologin) {
                if ($machine['lastlogon'] == 0) {
                    echo "<td align=\"center\"><STRONG><FONT color='red'>Jamais</FONT></STRONG></td>\n";
                } else {
                    echo "<td align=\"center\"><STRONG><FONT color='red'>" . $last_cnx . "</FONT></STRONG></td>\n";
                }
                $delete = "checked";
            } else {
                echo "<td align=\"center\">" . $last_cnx . "</td>\n";
            }
            echo "<td align=\"center\"><INPUT type=\"checkbox\" name=\"old_computers[]\" id=\"del_$loop_id\"  value=\"" . $machine['cn'] . "\" $delete >";
            echo "</td>\n";

            echo "<td align=\"center\"><INPUT type=\"checkbox\" name=\"supprime_all[]\" id=\"sup_$loop_id\"  value=\"" . $machine['cn'] . "\" $delete onClick=\"coche_machine('del_$loop_id',true)\"></td>\n";
            echo "</tr>";
            $loop_id ++;
        }
    }

    // echo " $ip";

    echo "</TABLE>\n";
    echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
    echo "</FORM>\n";
    $nb_machines = count($mp);
    echo "<h3>" . $nb_machines . " station(s) " . gettext("dans le parc ") . "$parc</h3>";
} else {
    echo "<h3> Aucune station pour le moment dans le parc " . "$parc</h3>";
    // var_dump($mp) ;
}
// completion tableau par les donnees imprimantes
if ($nombre_printers > 0) {
    echo "<FORM action=\"../printers/delete_printer.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\">\n";
    echo "<input type=\"hidden\" name=\"delete_printer\" value=\"true\">\n";

    $tableau_printer = "<tr>";

    $tableau_printer .= "<TABLE border=1 width=\"80%\">\n<tr class=menuheader style=\"height: 30\">\n";
    $tableau_printer .= "<tr class='menuheader'>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\"><img style=\"border: 0px solid ;\" src=\"../elements/images/printer.png\" title=\"Imprimante\" alt=\"Imprimante\" WIDTH=20 HEIGHT=20 ></td>";
    $tableau_printer .= "<td class='menuheader' align=\"center\">Nom</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">URI</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">" . gettext("Supprimer du parc") . "</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">" . gettext("Supprimer compl&#232;tement") . "</td>\n";
    $tableau_printer .= "<td class='menuheader' align=\"center\">" . gettext("Par d&#233;faut") . "</td>";
    $tableau_printer .= "</tr>\n";

    foreach ($printers as $loop => $printer) { // ***************************************************
        $tableau_printer .= "<td align=\"center\"><img style=\"border: 0px solid ;\" src=\"../elements/images/printer.png\" title=\"Imprimante\" alt=\"Imprimante\" WIDTH=20 HEIGHT=20 ></td>";
        $tableau_printer .= "<td align=\"center\"><A href='../printers/view_printers.php?one_printer=" . $printer['name'] . "'>" . $printer['name'] . "</A></td>\n";
        $tableau_printer .= "<td align=\"center\">" . $printer['url'] . "</td>";
        $tableau_printer .= "<td align=\"center\"><INPUT type=\"checkbox\" name=\"remove_printers[]\" id=\"remove_$loop\" value=\"" . $printer['name'] . "\" onClick=\"coche_machine('delete_$loop',false)\"></td>";
        $tableau_printer .= "<td align=\"center\"><INPUT type=\"checkbox\" name=\"delete_printers[]\" id=\"delete_$loop\" value=\"" . $printer['name'] . "\"></td>\n";
        $tableau_printer .= "<td align=\"center\">";

        /*
         * if ($imprim_defaut == $mp[$loop]) {
         * $tableau_printer .= "<img style=\"border: 0px solid ;\" src=\"../elements/images/enabled.png\" title=\"par defaut\" alt=\"par defaut\" >";
         * }
         */
        $tableau_printer .= "</td>\n";
        $tableau_printer .= "</tr>";
    }
    $tableau_printer .= "</table>";
    echo $tableau_printer;
    echo "<input type=\"submit\" value=\"" . gettext("Valider") . "\">\n";
    echo "</FORM>\n";
    echo "</center>";

    echo "<br>";

    echo "<h3>" . count($printers) . " imprimantes(s) dans le parc " . "$parc</h3>";
} else {
    if ($parc != "") {
        echo "<br>";
        echo "<h3>Il n'y a pas d'imprimantes dans ce parc !</h3>";
        echo "</center>";
    }
}
if (@$config['wpkg'] == "1") {
                    echo "<p>";
                    echo "<br><a href='../wpkg/parc_statuts.php?parc=" . $parc . "'>Voir les applications Wpkg pour ce parc</a><br>\n";
                    echo "</p>";
                    
                }
include ("pdp.inc.php");
?>
