<?php
/**
 ** Interface Utilisateur
 **/
require_once 'config.inc.php';
require_once 'partages.inc.php';
require_once 'samba.inc.php';
require_once 'functions.inc.php';
require_once 'ldap.inc.php';
require_once 'ihm.inc.php';
require_once 'ent.inc.php';
require_once 'user.interface.inc.php';
require_once "../vendor/autoload.php";

$html = "";

if (! empty($_SESSION['login'])) {
    // session OK
    $html = html_user_interface($config);
} else {
    session_destroy();
    $login = $_POST['login'] ?? "";
    if (! empty($config['ent_auth']) && $config['ent_auth'] == 1 && @$config['ent_status'] == 1) {
        // auth sur l'ent
        header("Location: ../oauth2/login.php");
    } elseif (! empty($login) && ! empty($password = $_POST['password']) && user_valid_passwd($config, $login, $password)) {
        // password ok en direct
        session_name("Sambaedu");
        @session_start([
            'cookie_lifetime' => 86400
        ]);
        $_SESSION['login'] = $login;
        $html = html_user_interface($config);
    } else {
        // auth directe
        $html = html_login_form();
    }
    // }
}
print $html;

?>