#!/bin/bash
# script vérifiant si les fichiers de conf ont changé, et appelant si besoin un lanceur php.
# lancé par cron, ou à la demande
#
. /usr/share/sambaedu/includes/config.inc.sh
check_config() {
sum=$(md5sum $1 | cut -d " " -f1)
old_sum=$(md5sum $1-old 2>/dev/null| cut -d " " -f1)
if [ "$sum" != "$old_sum" ] ; then
	/usr/bin/curl -s -F "se4_key=${config_se4_key}" -F "conf=$1" http://${config_se4fs_name}/config/config_action.php
fi
}
    	IFS='
'
for conf in $(find /etc/sambaedu/sambaedu.conf* -name "*.conf" -type f); do
	check_config $conf
	cp -a $conf $conf-old
done
IFS=