<?php

/**

 * Page permettant de creer des listes pour en faire un export de l'annuaire
 * @Version $Id$
 * @Projet LCS / SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: annu
 * file: grouplist.php
 */
include "entete.inc.php";
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('sambaedu-core', "/var/www/sambaedu/locale");
textdomain('sambaedu-core');


// Aide
$_SESSION["pageaide"] = "Annuaire";

$filter = $_GET['filter'] ?? '';

if ((have_right($config, "Annu_is_admin")) || (have_right($config, "sovajon_is_admin"))) {
    //recherche des membres du groupe
    $group = search_ad($config, $filter, "group", $config['dn']['groups']);
    $people = search_people_group($config, $filter);

    //tableau de profs
    $lesprofs = search_ad($config, "*", "memberof", "Profs");
    $list_prof_grp = array();
    foreach ($lesprofs as $key => $value) {
        $list_prof_grp[$key] = $value["cn"];
    }

    if (count($people)) {
        // affichage des r?sultats
        // Nettoyage des _ dans l'intitul? du groupe
        $intitule = strtr($filter, "_", " ");
        echo "<H1><U>" . gettext("Groupe") . "</U> : $intitule <font size=\"-2\">" . $group[0]["description"] . "</font></H1>\n";
        echo gettext("Il y a ") . count($people) . gettext(" membre");
        if (count($people) > 1)
            echo "s";
        echo gettext(" dans ce groupe") . "<BR><BR>\n";
        echo "<TABLE border=1 cellspacing = 1 cellpadding = 2><thead>
        <tr>
        <th>Nom</th>
        <th>login</th>
        <th>" . gettext("Date de naissance") . "</th></thead>
        <tbody>\n";
        for ($loop = 0; $loop < count($people); $loop++) {
            echo "<TR><TD>\n";
            if (in_array($people[$loop]["cn"], $list_prof_grp)) {
                echo "<img src=\"images/gender_teacher.gif\" alt=\"Professeur\" width=18 height=18 hspace=1 border=0>\n";
            }
            else {
                if (isset($people[$loop]["sexe"]) && $people[$loop]["sexe"] == "F") {
                    echo "<img src=\"images/gender_girl.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                }
                else {
                    echo "<img src=\"images/gender_boy.gif\" alt=\"El&egrave;ve\" width=14 height=14 hspace=3 border=0>\n";
                }
            }
            //preg_match("/([0-9]{8})/", $people[$loop]["gecos"], $naiss);
            echo $people[$loop]["fullname"] . "</TD><TD>" . $people[$loop]["cn"] . "</TD><TD>" . $people[$loop]["date"] . "</TD>\n";

            echo "</TR>\n";
        }
        echo "</tbody></table>\n";

        echo "<p>G&#233;n&#233;rer un <a href='grouplist_csv.php?filter=$filter' target='blank'>export CSV du groupe</a></p>\n";
    }
    else {
        echo " <STRONG>" . gettext("Pas de membres") . " </STRONG> " . gettext(" dans le groupe") . " $filter.<BR>";
    }
}
 else {
echo "<div class=error_msg>" . gettext("Erreur : vous ne disposez pas des droits suffisants !") . "</div>";
}
include ("pdp.inc.php");

?>
