<?php
   /**

   * Ajoute des groupe dans l'annuaire
   * @Version $Id$
   * @Projet LCS / SambaEdu
   * @Auteurs Equipe Sambaedu
   * @Licence Distribue sous la licence GPL
   * @Repertoire: annu
   * file: mod_group_descriup.php
   */

include "entete.inc.php";
include_once "ldap.inc.php";
include "ihm.inc.php";

require_once ("lang.inc.php");
bindtextdomain('sambaedu-core', "/var/www/sambaedu/locale");
textdomain('sambaedu-core');

$_SESSION["pageaide"]="Annuaire";

if (!have_right($config, "Annu_is_admin")) {
    echo ("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction");
    include ("pdp.inc.php");
    die();
}
echo "<h1>".gettext("Annuaire")."</h1>";

if (isset($_POST['cn']))
    $cn = $_POST['cn'];
elseif (isset($_GET['cn']))
    $cn = $_GET['cn'];
else
    $cn = '';

if($cn=="") {
	echo "<p>ERREUR : Il faut choisir un nom</p>\n";
	include ("pdp.inc.php");
	die();
}


$mod_descrip=$_POST['mod_descrip'] ?? "";


$filter="8_".$cn;
aff_trailer ("$filter");
$group=filter_group($config, "(cn=".$cn.")");
$description=$_POST['description'] ?? "";
//var_dump($description);

if ((!$mod_descrip) || ( $mod_descrip && (!$description || !verifDescription($description)))) {
    echo gettext("Modification de la description du groupe :")." <b>".$group[0]["cn"]."</b>\n";
    ?>
    <form action="mod_group_descrip.php" method="post">
      <table border="0" width="90%" align="center">
        <tbody>
            <tr>
              <td><?php echo gettext("Description :"); ?></td>
              <td width="73%" colspan="2"><input type="text" name="description" value="<?php echo $group[0]["description"] ?>" size="60"></td>
              <td></td>
            </tr>
              <td align="left">
                    <input type="hidden" name="cn" value="<?php echo $cn ?>">
                    <input type="hidden" name="mod_descrip" value="true">
                    <input type="submit" value="<?php echo gettext("Lancer la requ&#234;te"); ?>">
              </td>
            </tr>
        </tbody>
      </table>
    </form>
    <?php
    if ( $mod_descrip ) {
            if ( !$description ) {
                    echo "<div class=\"error_msg\">".gettext("Vous devez saisir une description pour ce groupe !")."</div><BR>\n";
            } elseif (!verifDescription($description)) {
                    echo "<div class=error_msg>".gettext("Le champ description comporte des caract&#232;res interdits !")."</div><br>\n";
            }
    }
} else {
#DEBUG
#echo "Debug : ".$group[0]["cn"]." ".$description."<BR>\n";
        $entry["description"]=utf8_encode(stripslashes($description));
        // Modification de la description
        $ds = modify_ad($config, $cn, "group", $entry, "replace");
        if ( $ds ) {

            echo gettext("La description du groupe")."&nbsp;<strong>".$group[0]["cn"]."</strong>&nbsp;".gettext("&#224; &#233;t&#233; modifi&#233;e avec succ&#232;s.")."</br>\n";
            echo "<u>".gettext("Nouvelle description")."</u> :&nbsp;".stripslashes($description)."<BR>\n";

            } else {
                        echo "<strong>".gettext("Echec de la modification du groupe ").$group[0]["cn"].gettext(" veuillez contacter ")."</strong><A HREF='mailto:$MelAdminLCS?subject=".gettext("PB modification de la description d'un groupe").">".gettext("l'administrateur du syst&#232;me")."</A><BR>\n";
                }
            
}


include ("pdp.inc.php");
?>
