<?php

/**
* Permet de configurer le smtp pour expedier les messages msmtp
* @Version $Id$ 
* @Projet SambaEdu 
* @auteurs Équipe SambaEdu
* @Licence Distribue selon les termes de la licence GPL
* @note 
*/

/**
* @Repertoire: /
* file: conf_smtp.php
*/	

include "entete.inc.php";
include_once "ldap.inc.php";
include "ihm.inc.php";
require_once ("lang.inc.php");
bindtextdomain('se4-core',"/var/www/sambaedu/locale");
textdomain ('se4-core');

/**
* Fonction pour obtenir les valeurs deja definies dans msmtp.conf

* @Parametres $name 
* @Return Retourne  la valeur de name contenue dans msmtp.conf
	
*/
function variable ($Name) { // retourne la valeur de Name
    $fichier_conf = "/etc/msmtprc";
    if (file_exists("$fichier_conf")) {
        $lignes = file("$fichier_conf");
        foreach ($lignes as $num => $ligne) {
            if (preg_match("/$Name (.*)/",$ligne,$reg)) {
                $var = trim($reg[1]);
                //var_dump($var);
                return $var;
            }
        }
    }	
} // fin function

echo "<H1>".gettext("Configure le SMTP")."</H1>\n";

//aide
$_SESSION["pageaide"]="L%27interface_web_administrateur#Partie_:_Configuration_de_l.27exp.C3.A9dition_des_messages_syst.C3.A8me";


$action = $_POST['action'] ?? $_GET['action'] ?? "";

$dc_from = $_GET['dc_from'] ?? "";
$dc_domain = $_GET['dc_domain'] ?? "";
$dc_root = $_GET['dc_root'] ?? "";
$dc_host = $_GET['dc_host'] ?? "";
$dc_host_port = $_GET['dc_host_port'] ?? "";
$dc_AuthUser = $_GET['dc_AuthUser'] ?? "";
$dc_AuthPass = $_GET['dc_AuthPass'] ?? "";
$dc_UseTLS = $_GET['dc_UseTLS'] ?? "";
$dc_UseSTARTTLS = $_GET['dc_UseSTARTTLS'] ?? "";
$dc_CertCheck = $_GET['dc_CertCheck'] ?? "";




if (! have_right($config,"system_is_admin")) {
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");
}
$fichier_conf = "/etc/msmtprc";
if (!file_exists($fichier_conf)) {
    system("sudo touch $fichier_conf");
} 
system("sudo chown www-admin $fichier_conf");
system("sudo chmod 640 $fichier_conf");

$file_alias = "/etc/aliases";
if (!file_exists($file_alias)) {
    system("sudo touch $file_alias");
} 
system("sudo chown www-admin $file_alias");
system("sudo chmod 640 $file_alias");

// Creation du fichier de conf de msmtp et /etc/aliases
if ($action == "msmtp_mod") {
    if ($dc_from == "" || $dc_host == "" || $dc_root == "") {
         echo "<div class='alert_msg'>" . gettext("Un paramètre est manquant !") . "</div>";
         
    } else {
    
     $fp=fopen("$file_alias","w+");
    $DEFAUT = "# Genere par l'interface de Se4fs
root: $dc_root
default: $dc_root
";
    fwrite($fp,$DEFAUT);
    fclose($fp);
        
    $fp=fopen("$fichier_conf","w+");
    $DEFAUT = "
# Genere par l'interface de Se4fs
defaults
account default
host $dc_host
port $dc_host_port
from $dc_from
domain $dc_domain
aliases /etc/aliases
    
";
    if ($dc_AuthUser!="") {
            $DEFAUT .= "auth on
    ";
            $DEFAUT .= "user $dc_AuthUser
    ";
    }
    if ($dc_AuthPass!="")
            $DEFAUT .= "password $dc_AuthPass
    ";
    if ($dc_UseTLS=="YES")
            $DEFAUT .= "tls on
    ";
    if ($dc_UseSTARTTLS=="NO") {
            $DEFAUT .= "tls_starttls off
    ";
    } else {
            $DEFAUT .= "tls_starttls on
    ";
    }
	if ($dc_CertCheck=="NO")
            $DEFAUT .= "tls_certcheck off
    ";
    
    fwrite($fp,$DEFAUT);
    fclose($fp);

    $subject = gettext("Test de la configuration de votre serveur Se4fs");
    $message = gettext("Message envoyé par le serveur Se4fs");
    mail ($dc_root, $subject, $message);
    echo "";
    $html = "<div class='text'>Configuration enregistrée !<br>";
    $html .="Un mail de test a été envoyé à $dc_root";
    $html .= "</div>\n";
    echo "$html";
    }
    unset($action);
}

// test la presence du paquet
$msmtp = exec("dpkg -l | grep msmtp-mta > /dev/null && echo ok");
// Si deja installe
if ($msmtp == "ok") {
    
    $link_mail = "/usr/bin/mail";
    if (!file_exists($link_mail)) {
        system("sudo ln -s /usr/bin/msmtp $link_mail");
    }
    echo "<form method=\"get\" action=\"conf_smtp.php\">";
    echo "<input type=\"hidden\" name=\"action\" value=\"msmtp_mod\">";
    echo "<br><br>";
    echo "<table align=center width=\"80%\" border=1 cellspacing=\"0\" cellpadding=\"0\" >\n";
    echo "<tr><td colspan=\"3\" align=\"center\"  class=\"menuheader\" height=\"30\">".gettext("Configuration de la messagerie")."</td></tr>\n";
    $dc_domain = variable ("domain");
    if ($dc_domain == "") {
        $dc_domain = exec("hostname -d");
    }
    $dc_from = variable ("from");
//    if ($dc_from == "") { 
//        $dc_from = "root@"."$dc_domain"; 
//    }
    
    echo "<tr>";
    echo "<td>".gettext("Domaine :")."</td>";
    
    echo "<td><input name=\"dc_domain\" type=\"text\" size=\"40\" value=\"$dc_domain\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici le domaine de votre &#233;tablissement. Par exemple lyc&#233;e.ac-acad&#233;mie.fr<br>Si vous n\'avez pas d\'IP fixe vous ne poss&#233;dez pas de domaine, vous risquez alors de ne pas pouvoir envoyer de messages<br>')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td>".gettext("Serveur SMTP")." :</td>";
    $dc_host = variable ("host");
    echo "<td><input name=\"dc_host\" type=\"text\" size=\"40\" value=\"$dc_host\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici le serveur qui vous permet d\'exp&#233;dier les messages.<br><br> En g&#233;n&#233;ral, il s\'agira du smtp de votre provider. (smtp.free.fr par exemple). ')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";
	
	echo "<tr>\n";
    echo "<td>".gettext("Port du serveur SMTP")." :</td>";
    $dc_host_port = variable ("port");
    echo "<td><input name=\"dc_host_port\" type=\"text\" size=\"40\" value=\"$dc_host_port\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici le port du serveur qui vous permet d\'exp&#233;dier les messages.<br>Généralement 25, 465 ou 587')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";
    
    echo "<tr>";
    echo "<td>".gettext("Adresse expéditeur utilisée par le smtp :")."</td>";
    echo "<td><input name=\"dc_from\" type=\"text\" size=\"40\" value=\"$dc_from\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici l\'adresse mail qui sera utilis&#233; pour le smtp. Il est imp&#233;ratif que les deux soient en concordance<br>Si vous n\'avez pas d\'IP fixe vous ne poss&#233;dez pas de domaine, vous risquez alors de ne pas pouvoir envoyer de messages<br>')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";
    
    echo "<tr>\n";
    echo "<td>".gettext("Identifiant de connexion au smtp (si n&#233;cessaire)")." :</td>";
    $dc_AuthUser = variable ("user");
    echo "<td><input name=\"dc_AuthUser\" type=\"text\" size=\"40\" value=\"$dc_AuthUser\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici l\'identifiant de connexion au smtp.')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td>".gettext("Mot de passe de connexion au smtp (si n&#233;cessaire)")." :</td>";
    $dc_AuthPass = variable ("password");
    echo "<td><input name=\"dc_AuthPass\" type=\"password\" size=\"40\" value=\"$dc_AuthPass\"  ></td>\n";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer ici le mot de passe de connexion au smtp.')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td>".gettext("Utiliser le mode sécuris&#233; TLS")." :</td>";
    $dc_UseTLS = variable ("tls");
    echo "<td><select name=\"dc_UseTLS\">";
    echo "<option value=\"NO\">Non</option>";
    echo "<option value=\"YES\"";
    if ($dc_UseTLS=="on")
            echo " selected";
    echo ">Oui</option>";
    echo "</select></td>\n";			
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('A utiliser en cas de mode s&#233curis&#233;')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td>".gettext("Utiliser le mode sécuris&#233; STARTTLS")." :</td>";
    $dc_UseSTARTTLS = variable ("tls_starttls");
    echo "<td><select name=\"dc_UseSTARTTLS\">";
    echo "<option value=\"NO\">Non</option>";
    echo "<option value=\"YES\"";
    if ($dc_UseSTARTTLS=="on")
            echo " selected";
    echo ">Oui</option>";
    echo "</select></td>\n";			
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('A utiliser en cas de mode s&#233curis&#233;')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";
	
	echo "<tr>\n";
    echo "<td>".gettext("V&#233;rifer le certificat du serveur SMTP")." :</td>";
    $dc_CertCheck = variable ("tls_certcheck");
    echo "<td><select name=\"dc_CertCheck\">";
    echo "<option value=\"NO\">Non</option>";
    echo "<option value=\"YES\"";
    if ($dc_CertCheck=="")
            echo " selected";
    echo ">Oui</option>";
    echo "</select></td>\n";			
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('A utiliser en cas de mode s&#233curis&#233;')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";

    echo "<tr>\n";
    echo "<td>".gettext("Boite de r&#233;ception")." :</td>";
    $lignes = file("$file_alias");
    foreach ($lignes as $ligne) {
        //var_dump($ligne);
        if (preg_match("/root: (.*)/",$ligne,$reg)) {
            $dc_root = trim($reg[1]);
    //        var_dump($root_mail);
        }
    }
    
    
    
    echo "<td><input name=\"dc_root\" type=\"text\" size=\"40\" value=\"$dc_root\" ></td>";
    echo "<td align=\"center\"><u onmouseover=\"return escape".gettext("('Indiquer l\'adresse qui va recevoir les mails g&#233;n&#233;r&#233;s par le syst&#232;me.')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u>&nbsp;</td>";
    echo "</tr>\n";
    echo "</table>\n";
    echo "<br><br>";
    echo "<center><input type=\"submit\"  value=\"".gettext("Valider")."\"></center>";
    echo "</form>\n";      
} else {
    echo gettext("Le paquet msmtp ne semble pas install&#233; sur la machine");
    echo "<BR><BR>";
    echo gettext("Vous devez d'abord ex&#233;cuter sur le serveur un apt-get install msmtp");
}	


include ("pdp.inc.php");
?>
