<?php


/**
* Page qui affiche les contacts et le team SE
* @Version $Id$
* @Projet LCS / SambaEdu
* @Auteurs Equipe Sambaedu
* @Licence Distribue sous la licence GPL
* @Repertoire: /
* file: contact.php
*/	

require ("entete.inc.php");

require_once("lang.inc.php");

$texte=gettext("<P>SambaEdu est distribu&#233; selon <A HREF='http://www.gnu.org/licenses/quick-guide-gplv3.fr.html'>les termes de la licence GPL</A>.");
mktable (gettext("SambaEdu Version 4"), $texte);
print "<BR>";

$texte = gettext("<p>SambaÉdu est une solution libre de serveur pédagogique sous <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a> (<a href='https://www.debian.org/index.fr.html' rel='external'>Debian</a>). Il utilise entre autre les technologies de l&#8217;opensource&nbsp;: <a href='https://fr.wikipedia.org/wiki/Samba_(informatique)'  rel='external'>Samba</a> -  <a href='https://fr.wikipedia.org/wiki/MySQL' class='spip_out' rel='external'>MySQL</a>.</p>
<p>Il comporte une interface web permettant l&#8217;administration du dispositif par une personne non initiée à <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a>.</p>
<p>Il automatise le déploiement des applications sur les clients Windows et les clients <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' rel='external'>GNU/Linux</a>.</p>
<p>Il installe automatiquement les clients <a href='https://fr.wikipedia.org/wiki/Linux_ou_GNU/Linux' >GNU/Linux</a>, en simple ou double boot.</p>
<p>Il gère de façon globale la politique de sécurité sur le parc des clients Windows en se basant sur les stratégies de groupes Windows Server 200X (GPO).</p>
<p>Les postes sous Windows Seven ou 10 sont pris en charge.</p>

<P>Un grand merci &#224; tous ceux qui contribuent au d&#233;veloppement, aux tests, ou &#224; la documentation du projet</P>
<UL>
<LI><A HREF='mailto:***'>Denis Bonnenfant</A> qui a d&#233;velopp&#233; une grande partie du projet SambaEdu4 !</LI>
<LI><A HREF='mailto:***'>Franck Molle</A> auteur des scripts de migration et développeur à temps plein (la nuit) du projet.</LI>
</UL>

<P>Et tous les autres contributeurs au projet, qu'ils soient d&#233;veloppeurs, testeurs ou r&#233;dacteurs sur la documentation.
<P>SambaEdu est un produit libre et ind&#233;pendant, d&#233;velopp&#233; par des professeurs b&#233;n&#233;voles pour l'ensemble de la communaut&#233; &#233;ducative. C'est un projet en constante &#233;volution depuis 2000 et qui est officiellement support&#233; et d&#233;ploy&#233; dans plusieurs acad&#233;mies comme Paris, Caen, Rouen, Versailles, Strasbourg, Nantes, Clermont Ferrand ...  
");

mktable (gettext("A Propos"),$texte);





print "<BR>";

$texte = gettext("
<P>Pour que ce projet vive, nous avons besoin de contributeurs !
<UL>
<LI>
Participez au financement de <a href='https://www.sambaedu.org/'>l'association SambaEdu </a>. Vous pouvez adhérer et faire des dons à cette association, à votre titre personnel, au titre d'un établissement scolaire, en tant qu'entreprise...
</LI>
<LI>
Participer au développement, à différent niveaux : traduction de page, écriture de documentation.  <a href='https://www.sambaedu.org/'>Contactez-nous !</a>.
</LI>
</UL>
<CENTER>
<H2>
Merci !
</H2>
</CENTER>
");

mktable (gettext("Contribuez au projet"),$texte);



require ("pdp.inc.php");
?>
