<?php
/*
 * L'administrateur indique
 * les variables d'environnement :
 * BBB_SECRET and BBB_SERVER_BASE_URL
 */
include "entete.inc.php";
include "ihm.inc.php";
include "firefox.inc.php";

if (have_right($config, "se3_is_admin")) {
    $action = $_POST['valider'] ?? "";
    $suppr = $_POST['suppr'] ?? "";
    /**
     * Si on a ajouté modifié ou supprimé un lien
     */
    $policy = ff_import_policy($config);
    if (! empty($action) || ! empty($suppr)) {
        if (! empty($_POST['Homepage'])) {
            $policy['Homepage'] = [
                'URL' => $_POST['Homepage'],
                "Locked" => true,
                "StartPage" => "homepage"
            ];
        }
        /**
         * Suppression d'un lien
         */
        if (is_array($suppr)) {
            foreach ($suppr as $key => $value) {
                unset($_POST['Title'][$key]);
            }
        }
        /**
         * Ajout ou modif
         */
        unset($policy['Bookmarks']);
        foreach ($_POST['Title'] as $key => $value) {
            if (! empty($value)) {
                $policy['Bookmarks'][] = [
                    'Title' => $value,
                    'URL' => $_POST['URL'][$key],
                    'Favicon' => $_POST['Favicon'][$key],
                    "Placement" => "toolbar"
                ];
            }
        }
        $policy['PopupBlocking'] = [
            'Allow' => [
                "http://" . $config['se4fs_name'],
                $config['se4_url']
            ]
        ];
        ff_export_policy($config, $policy, "/etc/sambaedu/applications/firefox/default.json");
    }
    print ff_form_policy($config, $policy);
    // echo "<pre>" . print_r($policy, true) . "</pre>";
} else {
    print(gettext("Vous n'avez pas les droits n&#233;cessaires pour ouvrir cette page..."));
}

// Footer
include ("pdp.inc.php");
?>
