<?php

/**
 * Menu Clients Windows GPO


 * @Projet SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: Ce fichier de fonction doit etre appele par un include

 * @Licence Distribue sous la licence GPL
 */

/**
 *
 * file: 70wondoz.inc
 *
 * @Repertoire: includes/menu.d/
 */
require_once ("lang.inc.php");
bindtextdomain('se3-core', "/var/www/se3/locale");
textdomain('se3-core');

// Si le menu fond d'ecran est active, on ajoute la ligne correspondante:
if (isset($config['menu_fond_ecran'])) {
    $liens1 = array(
        array(
            gettext("Clients et applications"),
            "computers_is_admin|parc_can_manage",
            1,
            gettext("Gestion des GPOs"),
            "gpo/gestion_gpo.php",
            "computers_is_admin",
            1,
            gettext("Configuration des applications"),
            "gpo/gestion_apps.php",
            "computers_is_admin",
            1,
        )
    );
} else {
    $liens1 = array(
        array(
            gettext("Clients et applications"),
            "computers_is_admin|parc_can_manage",
            1,
            gettext("Gestion des GPOs"),
            "gpo/gestion_gpo.php",
            "computers_is_admin",
            1,
            gettext("Configuration des applications"),
            "gpo/gestion_apps.php",
            "computers_is_admin",
            1,
        )
    );
}
$liens = array_merge($liens, $liens1);
?>
