<?php

   /**

   * Affiche l'espace libre sur les partitions
  
   * @Projet / SambaEdu

   * @auteurs Equipe SambaÉdu

   * @Licence Distribue selon les termes de la licence GPL

   * @note

   */

   /**

   * @Repertoire: /
   * file: df.php

  */

require ("entete.inc.php");
require ("ihm.inc.php");

require_once ("lang.inc.php");
bindtextdomain('sambaedu-infos',"/var/www/sambaedu/locale");
textdomain ('sambaedu-infos');


//aide
$_SESSION["pageaide"]="Informations_syst&#232;me#Espace_disque";

if (have_right($config,"system_is_admin",$login)!="Y") {
    die (gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction")."</BODY></HTML>");
}

echo "<H1>Espace libre sur le disque</H1>";

exec("df -h -x tmpfs",$df_result);

$liste_part = preg_grep("/^\/dev/", $df_result);

foreach ($liste_part as $key => $line) {
    # nettoyage espaces
    $line = preg_replace('/\s{2,}/', ' ', $line);


    list($dev, $taille, $util, $dispo, $util_pc, $point_montage) = explode(" ", $line);
    $tab_partitions[$key]['device'] = $dev;
    $tab_partitions[$key]['taille'] = $taille;
    $tab_partitions[$key]['util'] = $util;
    $tab_partitions[$key]['dispo'] = $dispo;
    $tab_partitions[$key]['util_pc'] = $util_pc;
    $tab_partitions[$key]['point_montage'] = $point_montage;
}
//var_dump($tab_partitions);

echo "<TABLE border=\"1\" width=\"80%\">";
echo "<TR><TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Partition") . "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Point de montage") . "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Espace total") . "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Espace occup&#233;") . "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Espace libre") . "</TD>";
echo "<TD align=\"center\" class=\"menuheader\" height=\"30\">\n";
echo gettext("Poucentage occup&#233;") . "</TD>";
echo "</TR>";


foreach ($tab_partitions as $tab_line)
{
     //var_dump($tab_line);
    echo "<TR>";   
    echo "<TD >" . $tab_line['device'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['point_montage'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['taille'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['util'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['dispo'] . "</TD>";
    echo "<TD align=\"center\" >" . $tab_line['util_pc'] . "</TD>";
    echo "</TR>";  
}
echo "</TABLE>";   
        
require ("pdp.inc.php");
?>
