<?php

   /**
   
 * Opérations de maintenance
 * @Projet SambaEdu
 * @Auteurs Equipe Sambaedu
 * @Licence Distribue sous la licence GPL
 * @Repertoire: /
 * file: se_fix.php

  */	



require_once "config.inc.php";
require_once "ldap.inc.php";
require ("entete.inc.php");
require_once ("lang.inc.php");
require_once ("samba.inc.php");
require_once ("partages.inc.php");
bindtextdomain('se4-core', "/var/www/sambaedu/locale");
textdomain('se4-core');

$action=$_GET['action'] ?? "";
$login=$config['login'];
//aide
$_SESSION["pageaide"]="";


if (! have_right($config, "system_is_admin")) {
    die(gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction") . "</BODY></HTML>");
}


echo "<h1>".gettext("Op&#233;rations de maintenance")."</h1>\n";
if ($action != "") {
        if ($action == "rmprofiles") {
        echo "<h2>".gettext("Reg&#233;n&#233;rer tous les profils errants Windows...")."</h2>";
        $command = "/bin/rm /home/profiles/* -rf";
        batch_command($command);
        $queue = "slow";
        batch_write($queue);
        //system("sudo /bin/rm /home/profiles/* -rf");
        echo "Action programmée pour 21h00 !";
    }
//    if ($action == "permse3") {
//        echo "<h2>".gettext("Remise en place des droits syst&#232;me...")."</h2>";
//        system("sudo /usr/share/sambaedu/scripts/permse3");
//        echo "Termin&#233;.";
//    }
    if ($action == "se4installpass") {

	
        if (($login == "admin")||($login == "assist")||($login == "aieple01")) {

            echo "<h2>".gettext("Affichage du mot de passe se4install...")."</h2>";
            echo "Le mot de passe de se4install est actuellement <b>" . $config['se4install_passwd'] . "</b>";
        }
        else { 
            echo "<h2>".gettext("Affichage du mot de passe se4install...")."</h2>";
            echo "Affichage non permis avec votre compte";
        }
    }
    if ($action == "restore_droits_home") {
        echo "<h2>".gettext("Remise en place des droits sur les comptes utilisateurs...")."</h2>";
        //system("sudo /usr/share/sambaedu/scripts/restore_droits.sh --home html");
        echo "to do : ajouter le script";
    }
//    if ($action == "restore_droits_full") {
//        echo "<h2>".gettext("Remise en place de tous les droits...TODO !")."</h2>";
//        //system("sudo /usr/share/sambaedu/scripts/restore_droits.sh acl_default auto html");
//    }
    
    if ($action == "force_profils_wpkg") {
        echo "<h2>".gettext("Rafraichissement des machines visibles dans wpkg...")."</h2>";
        // Lance le script pour wpkg
	system ("sudo su www-admin -c '/usr/bin/php /var/www/sambaedu/wpkg/wpkg_ldap_update.php'");
	echo "ok";
    }
    if ($action == "force_rapports_wpkg") {
        echo "<h2>".gettext("Suppression des rapports wpkg...")."</h2>";
        
        system("rm -f /var/sambaedu/unattended/install/wpkg/rapports/*");
	echo "ok";
    }
}
else {

    if (($login == "admin")||($login == "assist")||($login == "aieple01")) {
	echo "<a href=\"fix_se4.php?action=se4installpass\" onClick=\"alert('Vous allez afficher un mot de passe important, attention aux regards indiscrets !!');\">".gettext("Afficher le mot de passe de se4install")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action afin de pouvoir utiliser le compte se4install')")."\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
    }
    echo "<a href=\"fix_se4.php?action=rmprofiles\" onclick=\"return getlongconfirm();\">".gettext("Reg&#233;n&#233;rer l'ensemble des profils errants Windows")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action pour supprimer tous les profils errants Windows dans /home/profiles. Les données personnelles seront conservées')")."\"><img name=\"action_image1\"  src=\"../elements/images/system-help.png\"></u><br>";
//    echo "<a href=\"fix_se4.php?action=permse3\" onclick=\"return getlongconfirm();\">".gettext("Remise en place des droits syst&#232;me par d&#233;faut")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des dysfonctionnements dans l\'interface ou lors des connexions')")."\"><img name=\"action_image2\"  src=\"../elements/images/system-help.png\"></u><br>";
    echo "<a href=\"fix_se4.php?action=restore_droits_home\" onclick=\"return getlongconfirm();\">".gettext("Remise en place des droits sur les comptes utilisateurs")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action pour remettre les droits par défaut sur les homes')")."\"><img name=\"action_image3\"  src=\"../elements/images/system-help.png\"></u><br>";
//    echo "<a href=\"fix_se4.php?action=restore_droits_full\" onclick=\"return getlongconfirm();\">".gettext("Remise en place de tous les droits")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des probl&#232;mes de droits')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
    if (file_exists("/var/sambaedu/unattended/install/wpkg")) {
        echo "<a href=\"fix_se4.php?action=force_profils_wpkg\">".gettext("Rafraichissement des machines visibles dans wpkg")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez que certaines machines sont manquantes dans wpkg ou pour accélérer la synchronisation AD --> wpkg')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
//        echo "<a href=\"fix_se4.php?action=force_rapports_wpkg\">".gettext("Renouvellement des rapports wpkg")."</a>&nbsp;<u onmouseover=\"return escape".gettext("('Effectuez cette action si vous constatez des probl&#232;mes de remont&#233;&#233;s des rapport wpkg')")."\"><img name=\"action_image4\"  src=\"../elements/images/system-help.png\"></u><br>";
    }
}
require ("pdp.inc.php");

?>
