<?php


   /**

   * Retourne des informations sur le systeme (nbr de comptes - memoire dispo)
   * @Projet SambaEdu

   * @auteurs Equipe SambaEdu

   * @Licence Distribue selon les termes de la licence GPL

   * @note 

   */

   /**

   * @Repertoire: /
   * file: infose.php

  */




require ("entete.inc.php");
require ("ihm.inc.php");

require_once ("lang.inc.php");
bindtextdomain('sambaedu-infos',"/var/www/sambaedu/locale");
textdomain ('sambaedu-infos');

if (have_right($config, "system_is_admin",$login)!="Y")
    die (gettext("Vous n'avez pas les droits suffisants pour acc&#233;der &#224; cette fonction")."</BODY></HTML>");


//aide
$_SESSION["pageaide"]="Informations_syst%C3%A8me#Informations_g.C3.A9n.C3.A9rales";

$list_groups = search_ad($config, "*", "group");
$people = search_ad($config, "*", "user", $config['dn']['people']);
$lesprofs = search_ad($config, "*", "memberof", "Profs");
$leseleves= search_ad($config, "*", "memberof", "Eleves");
$lesadministratifs= search_ad($config, "*", "memberof", "Administratifs");
$trashusers = search_ad($config, "*", "user", $config['dn']['trash']);

echo "<H1>Informations générales SambaEdu</H1>";
echo "<H2>Informations sur les comptes</H2>";
echo "<UL>";
    echo "<LI>Nombre de groupes : " . count($list_groups) . "</LI>";
    echo "<LI>Nombre de Classes actives : " . exec('ls /var/sambaedu/Classes | wc -l') . "</LI>";
    echo "<LI>Nombre de comptes : "  . count($people) .   "</LI>";
    echo "<LI>Nombre de comptes professeurs : " . count($lesprofs) . "</LI>";
    echo "<LI>Nombre de comptes élèves : " . count($leseleves) .  "</LI>";
    echo "<LI>Nombre de comptes administratifs : " . count($lesadministratifs) .  "</LI>";
    echo "<LI>Nombre de comptes dans la corbeille  : " . count($trashusers) .  "</LI>";
echo "</UL>";

echo "<H2>Informations sur le Noyau</H2>";
echo "<PRE>";
system('uname -a');
echo "</PRE>";


echo "<H2>Utilisation de la mémoire</H2>";
echo "<PRE>";
system('free -h');
echo "</PRE>";

echo "<H2>Processus en cours</H2>";
echo "<PRE>";
system('top -b -n1');
echo "</PRE>";

require ("pdp.inc.php");
?>
