<?php
/*
 * actions sur un parc executees en cron tous les 1/4H
 *
 * ce script est appelé en cli.
 */
require_once "entete_script.inc.php";
require_once "config.inc.php";
require_once "ldap.inc.php";
require_once 'dhcpd.inc.php';
require_once ("fonc_outils.inc.php");
require_once ("fonc_parc.inc.php");
require_once ("logs.inc.php");
require_once ("pronote.inc.php");

$authlink = db_connect($config);
$jours = [
    'd',
    'l',
    'ma',
    'me',
    'j',
    'v',
    's'
];
$heure = explode(":", date("w:H:i:s"));
$heure_fin = explode(":", date("w:H:i:s", time() + 900));

$table = "actions";
$requete = "SELECT * FROM $table WHERE jour='" . $jours[$heure[0]] . "' and heure > '" . $heure[1] . ":" . $heure[2] . ":" . $heure[3] . "' and heure < '" . $heure_fin[1] . ":" . $heure_fin[2] . ":" . $heure_fin[3] . "';";
// print $requete;
$res = mysqli_query($authlink, $requete);
if (mysqli_num_rows($res) > 0) {
    echo "action de " . date("w:H:i:s") . "<br>:\n";

    while ($row = mysqli_fetch_assoc($res)) {
        echo "action " . $row['action'] . " sur " . $row['parc'] . "<br>\n";
        start_parc($config, $row['action'], $row['parc'], true);
    }
    mysqli_close($authlink);
}
if (isset($config['pronote_api_passwd'])) {
    $parcs = search_parcs($config, "*", "salle");
    foreach ($parcs as $salle) {
        if ($action = get_salle_state($config, $salle['name'])) {
            echo "action EDT " . $action . " sur " . $salle['name'] . "<br>\n";
            start_parc($config, $action, $salle['name'], false);
        }
    }
}
//require "pdp2.inc.php";
?>