<?php

/**

 * Action sur un parc (page principale)
 @Projet LCS / SambaEdu

 * @Auteurs Equipe Sambaedu

 * @Note: 

 * @Licence Distribue sous la licence GPL

 * @note
 * Ajaxification des pings - script parc_ajax_lib.php
 */
/**
 *
 * @Repertoire: parcs/
 * file: action_parc.php
 *
 */
require_once "entete.inc.php";
// include "ihm.inc.php";
// include "printers.inc.php";
require_once ("fonc_parc.inc.php");

require_once ("logs.inc.php");
require_once ("remote.inc.php");
// ##########
// Internationnalisation
$message = "messages/" . $config['lang'] . "/action_parc_messages.php";
require ($message);
// ##########
// aide
$_SESSION["pageaide"] = "Gestion_des_parcs#Action_sur_parcs";
// ** Ajout de javascript local
// #########
echo "<script type=\"text/javascript\" src=\"/elements/js/wz_tooltip_new.js\"></script>";
// ########
// ***************Definition des droits de lecture et aide en ligne
// Verifie les droits
if ((have_right($config, "computers_is_admin")) || (have_right($config, "parc_can_view")) || (have_right($config, "parc_can_manage")) || (have_right($config, "inventaire_can_read"))) {

    echo "<h1>" . gettext($action_parc['pageTitre']) . "</h1>";

    // *****************cas des parcs delegues***********************************/
    /*
     * if ((!(have_right($config, "computers_is_admin")) && (have_right($config, "parc_can_view"))) || (have_right($config, "parc_can_manage"))) {
     * echo "<h3>" . gettext($action_parc['msgDelegationAccept']) . "</h3>";
     * $acces_restreint = 1;
     *
     * $list_delegate = list_delegations($config);
     *
     * if (count($list_delegate) > 0) {
     * $delegate = "yes";
     * } else {
     * echo "<center>";
     * echo $action_parc['msgNoDelegation'];
     * echo "</center>\n";
     * exit();
     * }
     * }
     */
    /* * *********************** Declaration des variables *********************************** */
    $action = $_POST['action'] ?? $_GET['action'] ?? "";
    $parc = isset($_POST['parc']) ? $_POST['parc'] : (isset($_GET['parc']) ? $_GET['parc'] : NULL);
    $filtrecomp = $user['cn'] ?? $_GET['filtrecomp'] ?? "";
    $refresh = $_GET['refresh'] ?? false;
    $nomjour = date("l");
    if ($action == "") {
        $action = "detail";
    }
    if ($action == "choix_time") {
        $action = "detail";
    }

    switch ($action) {

        case "detail":

            $list_parcs = search_parcs($config, "*");
            if (count($list_parcs) > 0) {
                sort($list_parcs);
                echo "<CENTER>";
                echo "<FORM method=\"post\" action=\"action_parc.php\">\n";
                echo "<SELECT NAME=\"parc\" SIZE=\"1\" onchange=submit()>";
                echo "<option value=\"SELECTIONNER\">" . $action_parc['msgSelect'] . "</option>";
/*                if ($delegate == "yes") {

                    foreach ($list_delegate as $info_parc_delegate) {
                        echo "<option value=\"" . $info_parc_delegate . "\"";
                        if ($parc == $info_parc_delegate['cn']) {
                            echo " selected";
                        }
                        echo ">" . $info_parc_delegate['cn'] . "</option>\n";
                    }
                } else {
*/                    for ($loop = 0; $loop < count($list_parcs); $loop ++) {
                        echo "<option value=\"" . $list_parcs[$loop]["name"] . "\"";
                        if ($parc == $list_parcs[$loop]["name"]) {
                            echo " selected";
                        }
                        echo ">" . $list_parcs[$loop]["name"] . "\n";
                        echo "</option>";
                    }
     //           }

                echo "</SELECT>&nbsp;&nbsp;\n";
                echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . gettext($action_parc['msgSelectParc']) . "',WIDTH,250,SHADOW,true,DURATION,5000);\" name=\"action_image2\"  src=\"../elements/images/system-help.png\" alt=\"help\"> ";
                // echo "<input type=\"submit\" value=\"".gettext("Valider")."\">\n";
                echo "</FORM>\n";
                echo "</CENTER>\n";
                echo "<br>";
            } else {
                echo "<br><center>";
                echo gettext($action_parc['msgNoParc']);
                echo "</center>\n";
            }

            if (($parc != "") && ($parc != "SELECTIONNER")) {
                // smbstatus();
                echo "<CENTER><table align=center><tr>\n";
                echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"wolstop_station.php\" value=\"shutdown\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"stop\" />";
                echo "<input  type=\"submit\" value=\"" . gettext($action_parc['btnEteindreTitre']) . "\" onclick=\"if (window.confirm('" . $action_parc['msgConfirmEteindre'] . "')) {return true;} else {return false;}\" />";
                echo "</form></td>";

                echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"wol\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"start\" />";
                echo "<input  type=\"submit\" value=\"" . gettext($action_parc['btnAllumerTitre']) . "\" />";
                echo "</form></td>";

                // ===================================
                echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"reboot\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"reboot\" />";
                echo "<input  type=\"submit\" value=\"" . gettext($action_parc['btnRebooterTitre']) . "\"  onclick=\"if (window.confirm('" . $action_parc['msgConfirmRebooter'] . "')) {return true;} else {return false;}\" />";
                echo "</form></td>";
                // ===================================
                // Test le niveau de delegation
                // manage ou view
                // Si manage on peut aller sur programmer
                $niveau_delegation = type_delegation($config, $parc);
                if ($niveau_delegation != "view") {
                    echo "<td><form action=\"wolstop_station.php\" method=\"post\">\n";
                    echo "<input type=\"hidden\" name=\"programmation\" value=\"check\" />";
                    echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                    echo "<input type=\"hidden\" name=\"action\" value=\"timing\" />";
                    echo "<input type=\"submit\" value=\"" . gettext($action_parc['btnProgrammerTitre']) . "\" />";
                    echo "</form>\n";
                    echo "</td>\n";
                }
                echo "<td><form action=\"show_parc.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"submit\" value=\"" . gettext($action_parc['btnListerTitre']) . "\" />";
                echo "</form>\n";
                echo "</td>\n";
                echo "</tr>\n";

                echo "<tr>\n";
                // echo "<td colspan=\"3\" align=\"center\"><form action=\"action_parc.php\" method=\"post\">\n";
                echo "<td colspan=\"4\" align=\"center\"><form action=\"action_parc.php\" method=\"post\">\n";
                echo "<input type=\"hidden\" name=\"action_poste\" value=\"check\" />";
                echo "<input type=\"hidden\" name=\"parc\" value=\"$parc\" />";
                echo "<input type=\"hidden\" name=\"action\" value=\"detail\" />";
                echo "<input type=\"submit\" value=\"" . gettext($action_parc['btnRafraichirTitre']) . "\" />";
                echo "</form>\n";

                echo "</td></tr></table>\n";

                echo "</center>\n";

                // require_once ("printers.inc.php");

                echo "\n<br>\n<CENTER>\n";
                echo "<TABLE border=1 width=\"60%\">\n<tr class=menuheader style=\"height: 30\">\n";
                echo "<td align=\"center\"></td>\n";
                echo "<td align=\"center\">" . $action_parc['arrayStationTitre'] . "</td>\n";
                echo "<td align=\"center\">" . $action_parc['arrayIp'] . "</td>\n";
                echo "<td align=\"center\">" . $action_parc['arrayEtatTitre'] . "</td>\n";
                echo "<td align=\"center\">" . $action_parc['arrayConnexionTitre'] . "</td>\n";
                echo "<td align=\"center\">" . $action_parc['arrayControleTitre'] . "</td>\n";
                // echo "<td align=\"center\">" . $action_parc['arrayLogonTitre'] . "</td></tr>\n";
                echo "</tr>\n";
                $mp_all = list_members_parc($config, $parc, true);

                // Filtrage selon critere
                if ("$filtrecomp" == "") {
                    $mp = $mp_all;
                } else {
                    $lmloop = 0;
                    $mpcount = count($mp_all);
                    for ($loop = 0; $loop < count($mp_all); $loop ++) {
                        $mach = $mp_all[$loop]['cn'];
                        if (preg_match("/$filtrecomp/", $mach)) {
                            $mp[$lmloop ++] = $mach;
                        }
                    }
                }

                if (count($mp) > 0) {
                    array_multisort($mp['cn'], SORT_ASC, SORT_NATURAL|SORT_FLAG_CASE);
                    foreach ($mp as $loop => $machine) {
                        $mpenc = ldap_hostname($machine);
                        $mp_en_cours = urldecode($mpenc);

                        /*
                         * // Test si on a une imprimante ou une machine
                         * $resultat = search_imprimantes("printer-name=$mp_en_cours", "printers");
                         * $suisje_printer = "0";
                         * for ($loopp = 0; $loopp < count($resultat); $loopp++) {
                         * if ($mp_en_cours == $resultat[$loopp]['printer-name']) {
                         * $suisje_printer = "1";
                         * continue;
                         * }
                         * }
                         *
                         * // On teste si la machine a des connexions actives
                         * // en fonction de la version de samba
                         * // On ne rentre dedans que si on est pas une imprimante
                         *
                         * if ($suisje_printer != "1") {
                         * // Inventaire
                         */
                        // $sessid=session_id();
                        /*
                         * if (file_exists("/var/www/se3/includes/dbconfig.inc.php")) {
                         * include_once "fonc_outils.inc.php";
                         * $sessid = session_id();
                         * $systemid = avoir_systemid($mpenc);
                         * }
                         */
                        $resultat = get_machine_status($config, $machine['cn']);
                        
                        $machine['state'] = $machine['state'] ?? "";
                        if ($resultat['state'] == "linux" ){
                            $machine['operatingsystem'] = "Linux";
                        }
                        // Affichage du tableau
                        echo "<tr>\n";
                        // Affichage de l'icone informatique
                        echo "<td align=\"center\">\n";
                        $os = $resultat['state'] ?? "";
                        switch ($os){
                            case "linux":
                                $icone = "linux.png";
                                $retourOs= "linux";
                                break;
                            case "windows":
                                $retourOs = $machine['operatingsystem'] ?? "";
                                if ($retourOs == "") {
                                    $icone = "computer_disable.png";
                                } elseif (preg_match("/Windows XP.*/", $retourOs)) {
                                    $icone = "winxp.png";
                                } elseif (preg_match("/Windows 7.*/", $retourOs)) {
                                    $icone = "win7.png";
                                } elseif (preg_match("/Windows.*10.*/", $retourOs)) {
                                    $icone = "win10.png";
                                } elseif (preg_match("/Windows Vista.*/", $retourOs)) {
                                    $icone = "winvista.png";
                                }
                                break;
                            default:
                                $icone = "computer_disable.png";
                                $retourOs = "eteint";
                        }
                        
                        
                        $iphost = $machine['iphostnumber'] ?? "";
                        $machine['networkaddress'] = $machine['networkaddress'] ?? "";
                        $systemid = $iphost;
                        $ip_link = "";
                        echo "<img style=\"border: 0px solid ;\" src=\"../elements/images/$icone\" title=\"" . $retourOs . " - " . $iphost . "\" alt=\"$retourOs\" WIDTH=20 HEIGHT=20 onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\">";

                        // echo "<img style=\"border: 0px solid ;\" src=\"../elements/images/computer.png\" onclick=\"popuprecherche('../ocsreports/machine.php?systemid=$systemid','popuprecherche','scrollbars=yes,width=500,height=550');\" title=\"Station\" alt=\"Station\"></td>\n";
                        echo "<td align=center ><a href=show_histo.php?selectionne=2&amp;mpenc=" . $machine['cn'] . ">$mp_en_cours</a></td>\n";
                        if ($machine['state'] == "reservation") {
                            $ip_link = "ip réservée : " . $iphost;
                        } elseif ($machine['state'] == "active") {
                            $ip_link = "<a href=action_machine.php?retour=action_parc&action=reservation&machine=" . $machine['cn'] . "&mac=" . $machine['networkaddress'] . " onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgreserverIp'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\"> ip dynamique : $iphost</a>";
                        } elseif ($machine['state'] == "dns") {
                            $ip_link = "ip dns :  $iphost (machine éteinte ?)";
                        } else {
                            $ip_link = "ip inconnue (machine éteinte ?)";
                        }
                        echo "<td align=center>$ip_link</td>\n";
                        echo "<td align=center>\n";
                        // $etat

                        // echo "<div id='divip$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        if ($resultat['state'] == "windows" || $resultat['state'] == "linux") {

                            if (isset($machine['cn'])) {
                                echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=shutdown&parc=$parc&retour=action_parc\"" . "onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgStationIsOn'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\"" . "onclick=\"if (window.confirm('" . $action_parc['msgConfirmEteindreMachine'] . " " . $machine['cn'] . " ?')) {return true;} else {return false;}\"/>" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgStationIsOn'] . "\" src=\"../elements/images/enabled.png\"></a>\n";
                            } else {
                                echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border=\"0\" title=\"" . $machine['cn'] . "\" title=\"" . $machine['cn'] . "\" />";
                            }
                        } elseif ($resultat['state'] == "wol" || $resultat['state'] == "ipxe") {
                            if (isset($machine['cn'])) {

                                echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=wol&parc=$parc&retour=action_parc\" target='_blank' " . "onmouseout=\"UnTip();\" onmouseover=\"Tip('Etat la machine : " . $resultat['state'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\" >" . "<img type=\"image\" border=\"0\" title='Etat la machine : " . $resultat['state'] . "' src=\"../elements/images/spinner.gif\">" . "</a>\n";
                            } else {
                                echo "<img type=\"image\" src=\"../elements/images/spinner.gif\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
                            }
                        } else {

                            if (isset($machine['cn'])) {

                                echo "<a target=\"main\" href=\"action_machine.php?machine=" . $machine['cn'] . "&action=wol&parc=$parc&retour=action_parc\" target='_blank' " . "onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgStationIsOff'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\" >" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgStationIsOff'] . "\" src=\"../elements/images/disabled.png\">" . "</a>\n";
                            } else {
                                echo "<img type=\"image\" src=\"../elements/images/disabled.png\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
                            }
                        }

                        /*
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divip$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?ip=$iphost&parc=$parc&nom_machine=" . $machine['cn'] . "&mode=ping_ip' });
                         * //]]>
                         * </script>\n";
                         */
                        echo "</td>\n";
                        echo "<td align=center>\n";
                        // $etat_session
                        // if (fping($iphost)){
                        // echo "<div id='divsession$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        if (empty($resultat['user'][0]['name'])) {
                            echo "<img type=\"image\" src=\"../elements/images/disabled.png\">\n";
                        } elseif ($resultat['user'][0]['name'] == $config['se4install_name']) {
                            $texte = $resultat['user'][0]['name'] . $action_parc['msgUserLogged'];
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/travaux2.png\" border=\"0\" />";
                        } elseif ($resultat['user'][0]['name'] == "wpkg") {
                            $texte = $resultat['user'][0]['name'] . $action_parc['msgUserLogged'];
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/travaux2.png\" border=\"0\" />";
                        } else {
                            $texte = $resultat['user'][0]['name'] . $action_parc['msgUserLogged'];
                            echo "<img onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $texte . "',WIDTH,250,SHADOW,true,DURATION,5000);\" src=\"../elements/images/enabled.png\" border=\"0\" />";
                        }

                        /*
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divsession$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?nom_machine=" . $machine['cn'] . "&mode=session'});
                         * //]]>
                         * </script>\n";
                         */
                        /*
                         * } else {
                         * $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgPingKo'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\">" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgPingKo'] . "\" src=\"../elements/images/disabled.png\">" . "</span>\n";
                         * echo ($ret);
                         * }
                         */
                        echo "</td>\n";
                        echo "<td align=\"center\">";
                        // if (fping($iphost)){
                        $from = urlencode("action_parc.php?action=detail&parc=" . $parc);
                        echo "<a href=\"rdp.php?machine=" . $machine['cn'] . "&refresh=1&type=all&from=" . $from . "\"><img src=\"../elements/images/rdp-small.png\" alt=\"Accès distant...\"></a>";
                        // echo "<div id='divtsvnc$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                        /*
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divtsvnc$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?ip=$iphost&mode=ts_vnc'});
                         * //]]>
                         * </script>\n";
                         */
                        /*
                         * } else {
                         * $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgPingKo'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\">" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgPingKo'] . "\" src=\"../elements/images/disabled.png\">" . "</span>\n";
                         * echo ($ret);
                         * }
                         */
                        echo "</td>";
                        echo "</td>\n";
                        /*
                         * echo "<td align=\"center\">";
                         *
                         * echo "<div id='divlogon$loop'><img src=\"../elements/images/spinner.gif\"></img></div>\n";
                         *
                         * echo "<script type='text/javascript'>
                         * // <![CDATA[
                         * new Ajax.Updater($('divlogon$loop'),'parcs_ajax_lib.php',{method: 'post', parameters: '?nom_machine=" . $mpenc . "&ip=" . $iphost . "&mode=test_logon'});
                         * //]]>
                         * </script>\n";
                         *
                         * echo "</td>\n";
                         */
                        echo "</tr>\n";
                    }
                }
                echo "</table>\n";
                echo "</center>\n";
                echo "<br>";
                // detail_parc_printer($parc);
                // $heure_act=date("H");
                // echo $nomjour;
            }

            switch ($nomjour) {

                case "Monday":
                    $nomjour = "l";
                    break;

                case "Tuesday":
                    $nomjour = "ma";
                    break;

                case "Wednesday":
                    $nomjour = "me";
                    break;

                case "Thursday":
                    $nomjour = "j";
                    break;

                case "Friday":
                    $nomjour = "v";
                    break;

                case "Saturday":
                    $nomjour = "s";
                    break;

                case "Sunday":
                    $nomjour = "d";
                    break;
            }
        /*
         * $resultf = mysqli_query($authlink, "select heure,action from actionse3 where parc='$parc' and jour='$nomjour' ;") or die("Impossible d'effectuer la requete");
         * if ($resultf) {
         * if (mysqli_num_rows($resultf) > 0) {
         * while ($row = mysqli_fetch_row($resultf)) {
         * if ($row[1] == "wol") {
         * echo "<h3>" . gettext($action_parc['msgPoweronAction']) . " $row[0] " . gettext("ce jour") . "</h3>";
         * }
         * if ($row[1] == "stop") {
         * echo "<h3>" . gettext($action_parc['msgShutdownAction']) . " $row[0] " . gettext("ce jour") . "</h3>";
         * }
         * }
         * } else {
         * if (($parc != "") && ($parc != "SELECTIONNER")) {
         * echo "<h3>" . gettext($action_parc['msgNoActions']) . " $parc</h3>";
         * }
         * }
         * }
         * break;
         */
    }

    // echo "</div>";
}

require ("pdp2.inc.php");
?>
