<?php

/**

 * Action sur un parc (arret - start)
 * @Version $Id$

 * @Projet LCS / SambaEdu

 * @auteurs  Stephane Boireau - MrT Novembre 2008

 * @Licence Distribue selon les termes de la licence GPL

 * @note
 * Ajaxification des pings - script parc_ajax_lib.php sur une proposition de Stephane Boireau
 * Gestion des infobulles nouvelle mouture Tip et UnTip
 * Modification des fonctions ts et vnc qui se trouvent desormais dans /var/www/se3/includes/fonc_parc.inc.php
 * Externalisation des messages dans messages/fr/action_parc_messages.php dans un hash global
 * 
 */
/**
 *
 * @Repertoire: parcs/
 * file: parcs_ajax_lib.php
 *
 */
require ("entete_ajax.inc.php");
// require_once ("functions.inc.php");
// require_once ("lang.inc.php");
// require_once ("fonc_outils.inc.php");
// require_once ("ldap.inc.php");
// require_once ("ihm.inc.php");
require_once ('fonc_parc.inc.php');
require_once ('dhcpd.inc.php');
$message = "messages/" . $config['lang'] . "/action_parc_messages.php";
$nom_machine = isset($_POST['nom_machine']) ? $_POST['nom_machine'] : NULL;
require ($message);
// echo "<script type='text/javascript' src='position.js'></script>\n";

if ($_POST['mode'] == 'ping_ip') {
   // $resultat = fping($_POST['ip']);
    $resultat = get_machine_status($config, $nom_machine);
    if ($resultat['state'] != "off") {
        // echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border='0' title='".$_POST['ip']."' title='".$_POST['ip']."' />";
        // echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border=\"0\" title=\"".$_POST['ip']."\" title=\"".$_POST['ip']."\" />";

        $parc = isset($_POST['parc']) ? $_POST['parc'] : NULL;
        if ((isset($nom_machine)) && (isset($parc))) {
            // echo gettext($action_parc['msgStationIsOn']),
            echo "<a target=\"main\" href=\"action_machine.php?machine=$nom_machine&action=shutdown&parc=$parc&retour=action_parc\"" . "onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgStationIsOn'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\"" . "onclick=\"if (window.confirm('" . $action_parc['msgConfirmEteindreMachine'] . " $nom_machine ?')) {return true;} else {return false;}\"/>" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgStationIsOn'] . "\" src=\"../elements/images/enabled.png\"></a>\n";
        } else {
            echo "<img type=\"image\" src=\"../elements/images/enabled.png\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
        }
    } else {
        // echo "<img type=\"image\" src=\"../elements/images/disabled.png\" border='0' title='".$_POST['ip']."' title='".$_POST['ip']."' />";
        // echo "<img type=\"image\" src=\"../elements/images/disabled.png\" border=\"0\" title=\"".$_POST['ip']."\" title=\"".$_POST['ip']."\" />";

        $parc = isset($_POST['parc']) ? $_POST['parc'] : NULL;
        if ((isset($nom_machine)) && (isset($parc))) {

            echo "<a target=\"main\" href=\"action_machine.php?machine=$nom_machine&action=wol&parc=$parc&retour=action_parc\" target='_blank' " . "onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgStationIsOff'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\" >" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgStationIsOff'] . "\" src=\"../elements/images/disabled.png\">" . "</a>\n";
        } else {
            echo "<img type=\"image\" src=\"../elements/images/disabled.png\" border=\"0\" title=\"" . $_POST['ip'] . "\" title=\"" . $_POST['ip'] . "\" />";
        }
    }
} elseif ($_POST['mode'] == 'session') {
        $session = get_smbsess($config, $nom_machine);
        echo $session['html'];
} elseif ($_POST['mode'] == 'wake_shutdown_or_reboot') {
    wake_shutdown_or_reboot($config, $_POST['ip'], $_POST['nom'], $_POST['wake'], $_POST['shutdown_reboot']);
} elseif ($_POST['mode'] == 'ts_vnc') {

        $resultat = true;//fping($_POST['ip']);
        if ($resultat) {
            //$ts = ts($config, $_POST['ip']);

            //$vnc = vnc($config, $_POST['ip'], 1);
 /*           if (isset($ts)) {
                echo $ts;
            }
            if (isset($vnc)) {
                echo $vnc;
            }
            if ((! $ts) and (! $vnc)) {
            */
                $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgPortsClosed'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\"" . "><img type=\"image\" border=\"0\" title=\"" . $action_parc['msgPortsClosed'] . "\" src=\"../elements/images/disabled.png\">" . "</span>\n";
                echo ($ret);
      //      }
        } else {
            $ret = "<span onmouseout=\"UnTip();\" onmouseover=\"Tip('" . $action_parc['msgPingKo'] . "',WIDTH,250,SHADOW,true,DURATION,5000);\">" . "<img type=\"image\" border=\"0\" title=\"" . $action_parc['msgPingKo'] . "\" src=\"../elements/images/disabled.png\">" . "</span>\n";
            echo ($ret);
        }
}
?>
