const body = document.body;
const menuLinks = document.querySelectorAll(".admin-menu a");
const collapseBtn = document.querySelector(".admin-menu .collapse-btn");
const toggleMobileMenu = document.querySelector(".toggle-mob-menu");
const collapsedClass = "collapsed";

function collapsed() {
	var collaps = getCookie("collapsed");
	if (collaps == "true") {
		  collapseBtn.setAttribute("aria-expanded", "false");
		  collapseBtn.setAttribute("aria-label", "collapse menu");
		  body.classList.toggle(collapsedClass);
	}
	if (collaps == "false") {
		  collapseBtn.setAttribute("aria-expanded", "true");
		  collapseBtn.setAttribute("aria-label", "expand menu");
	}
//	body.classList.toggle(collapsedClass);
}

function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return "";
}


collapseBtn.addEventListener("click", function () {
  if (this.getAttribute("aria-expanded") == "true") {
	  this.setAttribute("aria-expanded", "false");
	  this.setAttribute("aria-label", "collapse menu");
	  document.cookie = 'collapsed=true' ;
  } else {
	  this.setAttribute("aria-expanded", "true");
	  this.setAttribute("aria-label", "expand menu")
	  document.cookie = 'collapsed=false' ;
  }
  body.classList.toggle(collapsedClass);
});

toggleMobileMenu.addEventListener("click", function () {
  this.getAttribute("aria-expanded") == "true" ?
  this.setAttribute("aria-expanded", "false") :
  this.setAttribute("aria-expanded", "true");
  this.getAttribute("aria-label") == "open menu" ?
  this.setAttribute("aria-label", "close menu") :
  this.setAttribute("aria-label", "open menu");
  body.classList.toggle("mob-menu-opened");
});

for (const link of menuLinks) {
  link.addEventListener("mouseenter", function () {
    body.classList.contains(collapsedClass) &&
    window.matchMedia("(min-width: 768px)").matches ?
    this.setAttribute("title", this.textContent) :
    this.removeAttribute("title");
  });
}
//